<?php
   // CVS Information
   //
   // $Id: AcceptPost.php,v 1.4 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: AcceptPost.php,v $
   // Revision 1.4  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:09:23  keird
   // Adding CVS vars to sources.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Control-Panel.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }

   xforum_acceptPost($link, $categoryID, $replyID);
   header("Location: " . $destURL);
?>
