<?php
   // CVS Information
   //
   // $Id: AcceptUser.php,v 1.4 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: AcceptUser.php,v $
   // Revision 1.4  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Control-Panel.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>

<table border="1" width="100%">
   <tr>
      <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
   </tr>
   <tr>
      <td><table border="1" width="100%" cellpadding="10">
         <tr>
            <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
            <td width="85%" valign="top">
               <font size="4">Update Status For <strong><?php echo($user_object->username); ?></strong></font><br>
               <br>
               <form method="POST" action="UpdateUserStatus.php">
               <table border="0">
                  <?php
                     echo("<input type=\"hidden\" name=\"userID\" value=\"" . $userID . "\">");
                     echo("<tr><td>Status</td>");
                     echo("<td><select name=\"status\">");
                     echo("<option value=\"0\"");
                     if ($user_object->status == 0)
                        echo(" selected>");
                     else
                        echo(">");
                     echo("Unapproved");
                     echo("<option value=\"1\"");
                     if ($user_object->status == 1)
                        echo(" selected>");
                     else
                        echo(">");
                     echo("Active");
                     echo("<option value=\"2\"");
                     if ($user_object->status == 2)
                        echo(" selected>");
                     else
                        echo(">");
                     echo("Suspended");
                     echo("</select></td></tr>");
                     echo("<tr><td>Level</td>");
                     echo("<td><select name=\"level\">");
                     echo("<option value=\"0\"");
                     if ($user_object->status == 0)
                        echo(" selected>");
                     else
                        echo(">");
                     echo("Guest");
                     echo("<option value=\"1\"");
                     if ($user_object->status == 1)
                        echo(" selected>");
                     else
                        echo(">");
                     echo("Member");
                     echo("<option value=\"2\"");
                     if ($user_object->status == 2)
                        echo(" selected>");
                     else
                        echo(">");
                     echo("Admin");
                     echo("</select></td></tr>");
                     echo("<tr><td>Group</td>");
                     echo("<td><select name=\"groupID\">");
                     $groupList[] = new CGroup;
                     xforum_getGroupList($link, $groupList);
                     $num_elements = count($groupList);
                     for ($indx = 1; $indx < $num_elements; $indx++) {
                        echo("<option value=\"" . $groupList[$indx]->groupID . "\"");
                        if ($groupList[$indx]->groupID == $user_object->groupID)
                           echo(" selected>");
                        else
                           echo(">");
                        echo($groupList[$indx]->groupName);
                     }
                     echo("</select></td></tr>");
                  ?>
               </table>
               <br>
               <input type="submit" value="Update" name="SubmitButton">
               </form>
            </td>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>

