<?php
   // CVS Information
   //
   // $Id: Categories.php,v 1.6 2000/09/10 16:37:10 keird Exp $
   // 
   // $Log: Categories.php,v $
   // Revision 1.6  2000/09/10 16:37:10  keird
   // Added feature to let user view all new threads and all threads with new
   // posts for a board on a single page.
   //
   // Revision 1.5  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.4  2000/07/04 14:59:54  keird
   // Fixed lastLogin descrepency with Categories.php.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Categories.php?boardID=" . $boardID;

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);

   $board_object = xforum_getBoardByID($link, $boardID);
?>

<html>
<head>
<title>
<?php
   echo("Categories For " . $board_object->boardName);
?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<?php echo("<font size=\"4\"><b><a href=\"Boards.php\">Index</a>/" . $board_object->boardName); ?></b></font>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="3%"><img src="blank.gif"></td>
            <td width="49%"><font size="2">Category Name</font></td>
            <td width="7%"><font size="2">Threads</font></td>
            <td width="7%"><font size="2">Posts</font></td>
            <td width="15%"><font size="2">Last Post</font></td>
            <td width="10%"><font size="2">Moderator</font></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"><td colspan=\"6\"><font size=\"4\">" . $board_object->boardName . "</font></td></tr>"); ?>
         <?php
            echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
            echo("<td><img src=\"" . _IMAGE_CATEGORY_NEW . "\"></td>");
            echo("<td colspan=\"5\"><font size=\"2\">");
            echo("<a href=\"NewPosts.php?boardID=" . $boardID . "\">What's New</a></td></tr>");
            $category_object[] = new CCategory;
            xforum_getCategoryListByBoard($link, $board_object->boardID, $category_object);
            $num_elements = count($category_object);
            for ($indx = 1; $indx < $num_elements; $indx++) {
               $lastPost = xforum_getLastPostDateByCategory($link, $category_object[$indx]->categoryID);
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               if ($lastPost > $user_object->lastLogin)
                  echo("<td><img src=\"" . _IMAGE_CATEGORY_NEW . "\"></td>");
               else
                  echo("<td><img src=\"" . _IMAGE_CATEGORY . "\"></td>");
               echo("<td><font size=\"2\">");
               echo("<a href=\"Threads.php?boardID=" . $boardID . "&categoryID=" . $category_object[$indx]->categoryID . "\">" . $category_object[$indx]->categoryName . "</a></font>");
               echo("<br><font size=\"2\">" . $category_object[$indx]->categoryDesc . "</font>");
               echo("</td>");
               echo("<td><font size=\"2\">" . xforum_getNumThreadsByCategory($link, $category_object[$indx]->categoryID, "1") . "</font></td>");
               echo("<td><font size=\"2\">" . xforum_getNumPostsByCategory($link, $category_object[$indx]->categoryID, "1") . "</font></td>");
               if ($lastPost == "")
                  $lastPost = "N/A";
               echo("<td><font size=\"2\">" . $lastPost . "</font></td>");
               $moderator_object = xforum_getUserByID($link, $category_object[$indx]->moderatorID); 
               echo("<td><font size=\"2\"><a href=\"MailTo: " . $moderator_object->email . "\">" . $moderator_object->nickname . "</a></font></td>");
               echo "</tr>";
            }
            xforum_displayLastLogin($user_object->lastLogin, 6, TRUE);
            xforum_displayIconLegend(6);
         ?>
      </table>
   </td></tr>
</table>
</font>
</body>
</html>
