<?php
   // CVS Information
   //
   // $Id: Classes.php,v 1.3 2000/06/25 18:20:30 keird Exp $
   // 
   // $Log: Classes.php,v $
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   class CBoard
   {
      var $boardID;
      var $boardName;
      var $boardDesc;
   }

   class CCategory
   {
      var $categoryID;
      var $categoryName;
      var $categoryDesc;
      var $moderatorID;
   }

   class CThread
   {
      var $categoryID;
      var $threadID;
      var $icon;
      var $subject;
      var $body;
      var $posted;
      var $userID;
      var $open;
      var $approved;
   }

   class CPost
   {
      var $categoryID;
      var $threadID;
      var $replyID;
      var $icon;
      var $body;
      var $posted;
      var $userID;
      var $approved;
   }

   class CUser
   {
      var $userID;
      var $username;
      var $nickname;
      var $email;
      var $registerDate;
      var $newLastLogin;
      var $lastLogin;
      var $userLevel;
      var $groupID;
      var $status;
      var $totalPosts;
      var $lastPost;
      var $homepage;
      var $location;
      var $occupation;
      var $interests;
      var $icqNumber;
      var $age;
      var $comments;
      var $signature;
      var $password;
   }

   class CGroup
   {
      var $groupID;
      var $groupName;
   }
?>
