create table BoardAccess (
   BoardID integer,
   GroupID integer
);

create table BoardCats (
   BoardID integer,
   CategoryID integer
);

create table Boards (
   BoardID integer primary key auto_increment,
   BoardName varchar(255),
   BoardDesc mediumtext
);

create table Categories (
   CategoryID integer primary key auto_increment,
   CategoryName varchar(255),
   CategoryDesc mediumtext,
   ModeratorID integer
);

create table Groups (
   GroupID integer primary key auto_increment,
   GroupName varchar(255)
);

create table Users (
   UserID integer primary key auto_increment,
   Username varchar(20),
   Nickname varchar(60),
   EMail varchar(255),
   RegisterDate datetime,
   NewLastLogin datetime,
   LastLogin datetime,
   UserLevel integer, 
   GroupID integer, 
   Status integer, 
   TotalPosts integer, 
   LastPost datetime,
   Homepage varchar(255),
   Location varchar(255),
   Occupation varchar(255),
   Interests varchar(255),
   ICQNumber varchar(15), 
   Age integer,     
   Comments mediumtext,  
   Signature mediumtext,  
   Password varchar(255)
);
