<?php
   // CVS Information
   //
   // $Id: DeleteThread.php,v 1.1 2000/08/06 23:28:44 keird Exp $
   // 
   // $Log: DeleteThread.php,v $
   // Revision 1.1  2000/08/06 23:28:44  keird
   // Added ability to delete threads and posts.  This is only available to
   // the category moderator or forum admin.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "DeleteThread.php?boardID=" . $boardID . "%26categoryID=" . $categoryID . "%26threadID=" . $threadID;
   if (isset($replyID))
      $destURL .= "%26replyID=" . $replyID;

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   $board_object = xforum_getBoardByID($link, $boardID);
   $category_object = xforum_getCategoryByID($link, $categoryID);
   $thread_object = xforum_getThreadByID($link, $categoryID, $threadID);
   if (isset($replyID))
      $post_object = xforum_getPostByID($link, $categoryID, $replyID);
   
   if ($user_object->userLevel == 0 || $user_object->status != 1) {
      echo("<html>");
      echo("<head>");
      echo("<title>Sorry...</title>");
      echo("</head>");
      xforum_setBodyAttributes();
      xforum_setFontAttributes();
      xforum_displayHeader(-1, "");
      if ($user_object->userLevel == 0) {
         echo("<big>Sorry, guests cannot delete threads.</big>");
      } else {
         echo("<big>Sorry, your account is not active.</big>");
      }
      echo("</font>");
      echo("</font>");
      echo("</body>");
      echo("</html>");
   } else {
      if ($user_object->userLevel != 2 && $user_object->userID != $thread_object->userID && $user_object->userID != $post_object->userID) {
         echo("<html>");
         echo("<head>");
         echo("<title>Sorry...</title>");
         echo("</head>");
         xforum_setBodyAttributes();
         xforum_setFontAttributes();
         xforum_displayHeader(-1, "");
         echo("<font size=\"4\"><b>");
         echo("<big>Sorry, you are not authorized to delete this thread or post.</big>");
         echo("</font>");
         echo("</font>");
         echo("</body>");
         echo("</html>");
      } else {
         if (isset($replyID)) {
            xforum_deletePost($link, $categoryID, $threadID, $replyID);
            header("Location: ViewThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID);
         } else {
            xforum_deleteThread($link, $categoryID, $threadID);
            header("Location: Threads.php?boardID=" . $boardID . "&categoryID=" . $categoryID);
         }
      }
   }
?>

