<?php
   // CVS Information
   //
   // $Id: EditBoard.php,v 1.4 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: EditBoard.php,v $
   // Revision 1.4  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageBoards.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<?php
   //Use BoardID to get BoardName
   $board_object = xforum_getBoardByID($link, $boardID);
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>
<table border="1" width="100%">
   <tr>
      <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
   </tr>
   <tr>
      <td><table border="1" width="100%" cellpadding="10">
         <tr>
            <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
            <td width="85%" valign="top">
               <form method="POST" action="UpdateBoard.php">
               <?php echo("<input type=\"hidden\" name=\"boardID\" value=\"" . $board_object->boardID) . "\">"; ?>
               <table border="0">
               <tr>
                  <td>Name</td>
                  <?php echo("<td><input type=\"text\" name=\"boardName\" size=\"60\" value=\"" . $board_object->boardName . "\"</td>"); ?>
               </tr>
               <tr>
                  <td>Description</td>
                  <?php echo("<td><input type=\"text\" name=\"boardDesc\" size=\"80\" value=\"" . $board_object->boardDesc . "\"</td>"); ?>
               </tr>
               </table>
               <br>
               <input type="submit" name="SubmitButton" value="Save Changes">
               </form>
               <hr>
               <br>
               <form method="POST" action="UpdateBoardCats.php">
               <?php echo("<input type=\"hidden\" name=\"boardID\" value=\"" . $board_object->boardID) . "\">"; ?>
               <table border="0">
               <tr>
                     <th><?php echo("<big><big>Categories In <strong>". $board_object->boardName . "</strong></big></big>"); ?></th>
                     <th></th>
                     <th><big><big>Available Catagories</big></big></th>
               </tr>
               <tr>
                  <td>
                     <center>
                     <table border="1">
                        <tr>
                           <th>Category Name - Description</th>
                        </tr>
                        <tr>
                           <td>   
                              <?php
                                 echo("<select name=\"boardCategories[]\" multiple size=\"15\">");
                                 $SQLQuery = "SELECT Categories.CategoryName AS CategoryName, Categories.CategoryID AS CategoryID, Categories.CategoryDesc AS CategoryDesc";
                                 $SQLQuery .= " FROM BoardCats, Categories";
                                 $SQLQuery .= " WHERE BoardID=" . $board_object->boardID . " AND BoardCats.CategoryID=Categories.CategoryID";
                                 $SQLQuery .= " ORDER BY Categories.CategoryName";
                                 $result = mysql_query($SQLQuery);
                                 if ($result != 0) {
                                    while ($row_object = mysql_fetch_object($result)) {
                                       echo("<option value=\"" . $row_object->CategoryID . "\">" . $row_object->CategoryName . " - " . $row_object->CategoryDesc);
                                    }
                                    mysql_free_result($result);
                                 }
                                 echo("</select>");
                              ?>
                           </td>
                        </tr>
                     </table>
                     </center>
                  </td>
                  <td>
                     <center>
                     <table border="0">
                        <tr>
                           <td><center><input type="submit" name="moveCategory" value="<< Add"></center></td>
                        </tr>
                        <tr>
                           <td><center><input type="submit" name="moveCategory" value="Remove >>"></center></td>
                        </tr>
                     </table>
                     </center>
                  </td>
                  <td>
                     <center>
                     <table border="1">
                        <tr>
                           <th>Category Name - Description</th>
                        </tr>
                        <tr>
                           <td>
                              <?php
                                 echo("<select name=\"availCategories[]\" multiple size=15>");
                                 $SQLQuery = "SELECT CategoryID, CategoryName, CategoryDesc";
                                 $SQLQuery .= " FROM Categories";
                                 $SQLQuery .= " ORDER BY Categories.CategoryName";
                                 $result = mysql_query($SQLQuery);
                                 if ($result != 0) {
                                    while ($row_object = mysql_fetch_object($result)) {
                                       $SQLQuery = "SELECT * FROM BoardCats WHERE BoardID=" . $board_object->boardID . " AND CategoryID=" . $row_object->CategoryID;
                                       $result2 = mysql_query($SQLQuery);
                                       if ($result2 != 0) {
                                          if (mysql_num_rows($result2) == 0) {
                                             echo("<option value=\"" . $row_object->CategoryID . "\">" . $row_object->CategoryName . " - " . $row_object->CategoryDesc);
                                          }
                                       }
                                    }
                                    mysql_free_result($result);
                                 }else
                                    echo("<option>" . mysql_error($link));
                                 echo("</select>");
                              ?>
                           </td>
                        </tr>
                        <tr>
                           <td><center><input type="submit" name="moveCategory" value="New Category"></center></td>
                        </tr>
                     </table>
                     </center>
                  </td>
               </tr>
               </table>
               </form>
               <hr>
               <br>
               <form method="POST" action="UpdateBoardGroups.php">
               <?php echo("<input type=\"hidden\" name=\"boardID\" value=\"" . $board_object->boardID) . "\">"; ?>
               <table border="0">
               <tr>
                     <th><?php echo("<big><big>Groups To Access <strong>". $board_object->boardName . "</strong></big></big>"); ?></th>
                     <th></th>
                     <th><big><big>Available Groups</big></big></th>
               </tr>
               <tr>
                  <td>
                     <center>
                     <table border="1">
                        <tr>
                           <th>Group Name</th>
                        </tr>
                        <tr>
                           <td>   
                              <?php
                                 echo("<select name=\"boardGroups[]\" multiple size=8>");
                                 $SQLQuery = "SELECT Groups.GroupName AS GroupName, Groups.GroupID AS GroupID";
                                 $SQLQuery .= " FROM BoardAccess, Groups";
                                 $SQLQuery .= " WHERE BoardAccess.BoardID=" . $board_object->boardID . " AND BoardAccess.GroupID=Groups.GroupID";
                                 $SQLQuery .= " ORDER BY Groups.GroupName";
                                 $result = mysql_query($SQLQuery);
                                 if ($result != 0) {
                                    while ($row_object = mysql_fetch_object($result)) {
                                       echo("<option value=\"" . $row_object->GroupID . "\">" . $row_object->GroupName);
                                    }
                                    mysql_free_result($result);
                                 }else{
                                    echo("<option>" . mysql_error($link));
                                 }
                                 echo("</select>");
                              ?>
                           </td>
                        </tr>
                     </table>
                     </center>
                  </td>
                  <td>
                     <center>
                     <table border="0">
                        <tr>
                           <td><center><input type="submit" name="moveGroup" value="<< Add"></center></td>
                        </tr>
                        <tr>
                           <td><center><input type="submit" name="moveGroup" value="Remove >>"></center></td>
                        </tr>
                     </table>
                     </center>
                  </td>
                  <td>
                     <center>
                     <table border="1">
                        <tr>
                           <th>Group Name</th>
                        </tr>
                        <tr>
                           <td>
                              <?php
                                 echo("<select name=\"availGroups[]\" multiple size=8>");
                                 $SQLQuery = "SELECT GroupID, GroupName";
                                 $SQLQuery .= " FROM Groups";
                                 $SQLQuery .= " ORDER BY GroupName";
                                 $result = mysql_query($SQLQuery);
                                 if ($result != 0) {
                                    while ($row_object = mysql_fetch_object($result)) {
                                       $SQLQuery = "SELECT * FROM BoardAccess WHERE BoardID=" . $board_object->boardID . " AND GroupID=" . $row_object->GroupID;
                                       $result2 = mysql_query($SQLQuery);
                                       if ($result2 != 0) {
                                          if (mysql_num_rows($result2) == 0) {
                                             echo("<option value=\"" . $row_object->GroupID . "\">" . $row_object->GroupName);
                                          }
                                       }
                                    }
                                    mysql_free_result($result);
                                 }else
                                    echo("<option>" . mysql_error($link));
                                 echo("</select>");
                              ?>
                           </td>
                        </tr>
                     </table>
                     </center>
                  </td>
               </tr>
               </table>
               </form>
            </td>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>
