<?php
   // CVS Information
   //
   // $Id: EditProfile.php,v 1.5 2000/07/10 02:29:22 keird Exp $
   // 
   // $Log: EditProfile.php,v $
   // Revision 1.5  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.4  2000/07/08 13:15:59  keird
   // Added X-Forum header to EditProfile.php
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=Boards.php");
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=Boards.php");
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
?>

<html>
<head>
<title>
Edit Profile
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader(NULL, NULL);
?>
<br>
<br>
<?php echo("<center><h2>Edit Profile For " . $user_object->nickname . "</h2></center>"); ?>
<center>
<?php echo("<table width=\"60%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
      <form method="POST" action="UpdateProfile.php">
      <?php echo("<input type=\"hidden\" name=\"userID\" value=\"" . $userID . "\">"); ?>
      <?php echo("<input type=\"hidden\" name=\"destURL\" value=\"" . $destURL . "\">"); ?>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Username</td>
            <?php echo("<td>" . $user_object->username . "</td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>New Password</td>
            <td><input type="password" name="password" size="25"></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Confirm</td>
            <td><input type="password" name="confirm" size="25"></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Nickname</td>
            <?php echo("<td><input type=\"text\" name=\"nickname\" size=\"25\" value=\"" . $user_object->nickname . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>EMail</td>
            <?php echo("<td><input type=\"text\" name=\"email\" size=\"40\" value=\"" . $user_object->email . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Homepage</td>
            <?php echo("<td><input type=\"text\" name=\"homepage\" size=\"40\" value=\"" . $user_object->homepage . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Location</td>
            <?php echo("<td><input type=\"text\" name=\"location\" size=\"40\" value=\"" . $user_object->location . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Occupation</td>
            <?php echo("<td><input type=\"text\" name=\"occupation\" size=\"40\" value=\"" . $user_object->occupation . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Interests</td>
            <?php echo("<td><input type=\"text\" name=\"interests\" size=\"40\" value=\"" . $user_object->interests . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>ICQ Number</td>
            <?php echo("<td><input type=\"text\" name=\"icqNumber\" size=\"15\" value=\"" . $user_object->icqNumber . "\"></td>"); ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Age</td>
            <?php
               if ($user_object->age <= 0)
                  $displayAge = "";
               else
                  $displayAge = $user_object->age;
               echo("<td><input type=\"text\" name=\"age\" size=\"3\" value=\"" . $displayAge . "\"></td>");
            ?>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Comments</td>
            <td><textarea rows="4" cols="40" name="comments" wrap="soft"><?php echo($user_object->comments); ?></textarea></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Signature</td>
            <td><textarea rows="4" cols="40" name="signature" wrap="soft"><?php echo($user_object->signature); ?></textarea></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td colspan="2" align="center"><input type="submit" value="Update" name="SubmitButton"></td>
         </tr>
      </form>
      </table>
</table>
</center>
</font>
</body>
</html>
