<?php
   // CVS Information
   //
   // $Id: EditUser.php,v 1.4 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: EditUser.php,v $
   // Revision 1.4  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageUsers.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $valUserID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$valUserID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $valUserID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }

   $edit_object = xforum_getUserByID($link, $userID);
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>

<table border="1" width="100%">
   <tr>
      <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
   </tr>
   <tr>
      <td><table border="1" width="100%" cellpadding="10">
         <tr>
         <form method="POST" action="UpdateUser.php">
            <?php echo("<input type=\"hidden\" name=\"userID\" value=\"" . $edit_object->userID . "\">"); ?>
            <input type="hidden" name="destURL" value="ManageUsers.php">
            <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
            <td width="85%" valign="top">
               <big><big><strong>Edit User</strong></big></big><br>
               <br>
               <table border="1" width="100%">
               <tr>
                  <td width="20%">Username</td>
                  <?php echo("<td width=\"80%\"><input type=\"text\" name=\"username\" size=\"25\" value=\"" . $edit_object->username . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>Nickname</td>
                  <?php echo("<td><input type=\"text\" name=\"nickname\" size=\"25\" value=\"" . $edit_object->nickname . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>New Password</td>
                  <td><input type="password" name="newPassword" size="25"></td>
               </tr>
               <tr>
                  <td>Confirm New Password</td>
                  <td><input type="password" name="confirmPassword" size="25"></td>
               </tr>
               <tr>
                  <td>EMail Address</td>
                  <?php echo("<td><input type=\"text\" name=\"email\" size=\"40\" value=\"" . $edit_object->email . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>Status</td>
                  <?php 
                     echo("<td><select name=\"status\">");
                     echo("<option value=\"0\"");
                     if ($edit_object->status == 0)
                        echo(" selected");
                     echo(">Unapproved");
                     echo("<option value=\"1\"");
                     if ($edit_object->status == 1)
                        echo(" selected");
                     echo(">Active");
                     echo("<option value=\"2\"");
                     if ($edit_object->status == 2)
                        echo(" selected");
                     echo(">Suspended");
                     echo("</select>");
                     echo("</td>");
                  ?>
               </tr>
               <tr>
                  <td>Level</td>
                  <?php 
                     echo("<td><select name=\"userLevel\">");
                     echo("<option value=\"0\"");
                     if ($edit_object->userLevel == 0)
                        echo(" selected");
                     echo(">Guest");
                     echo("<option value=\"1\"");
                     if ($edit_object->userLevel == 1)
                        echo(" selected");
                     echo(">Member");
                     echo("<option value=\"2\"");
                     if ($edit_object->userLevel == 2)
                        echo(" selected");
                     echo(">Admin");
                     echo("</select>");
                     echo("</td>");
                  ?>
               </tr>
               <tr>
                  <td>Group</td>
                  <?php
                     $groupList[] = new CGroup;
                     xforum_getGroupList($link, $groupList);
                     $numGroups = count($groupList);
                     echo("<td><select name=\"groupID\">");
                     for ($indx = 1; $indx < $numGroups; $indx++) {
                        echo("<option value=\"" . $groupList[$indx]->groupID . "\"");
                        if ($groupList[$indx]->groupID == $edit_object->groupID) {
                           echo(" selected");
                        }
                        echo(">" . $groupList[$indx]->groupName);
                     }
                     echo("</select>");
                     echo("</td>");
                  ?>
               </tr>
               <tr>
                  <td>Homepage</td>
                  <?php echo("<td><input type=\"text\" name=\"homepage\" size=\"40\" value=\"" . $edit_object->homepage . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>Location</td>
                  <?php echo("<td><input type=\"text\" name=\"location\" size=\"40\" value=\"" . $edit_object->location . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>Occupation</td>
                  <?php echo("<td><input type=\"text\" name=\"occupation\" size=\"40\" value=\"" . $edit_object->occupation . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>Interests</td>
                  <?php echo("<td><input type=\"text\" name=\"interests\" size=\"40\" value=\"" . $edit_object->interests . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>ICQ Number</td>
                  <?php echo("<td><input type=\"text\" name=\"icqNumber\" size=\"15\" value=\"" . $edit_object->icqNumber . "\"></td>"); ?>
               </tr>
               <tr>
                  <td>Age</td>
                  <?php
                     if ($edit_object->age <= 0)
                        $displayAge = "";
                     else
                        $displayAge = $edit_object->age;
                     echo("<td><input type=\"text\" name=\"age\" size=\"3\" value=\"" . $displayAge . "\"></td>");
                  ?>
               </tr>
               <tr>
                  <td>Comments</td>
                  <td><textarea rows="4" cols="40" name="comments" wrap="soft"><?php echo($edit_object->comments); ?></textarea></td>
               </tr>
               <tr>
                  <td>Signature</td>
                  <td><textarea rows="4" cols="40" name="signature" wrap="soft"><?php echo($edit_object->signature); ?></textarea></td>
               </tr>
               <tr>
                  <td colspan="2"><center><input type="submit" name="submit" value="Update User"></center></td>
               </tr>
               </table>
               <br>
            </td>
         </form>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>
