<?php
   // CVS Information
   //
   // $Id: Login.php,v 1.5 2000/08/18 22:51:35 keird Exp $
   // 
   // $Log: Login.php,v $
   // Revision 1.5  2000/08/18 22:51:35  keird
   // Added ability to generate a new password and email it to user who has
   // forgotten their password.
   //
   // Revision 1.4  2000/07/01 17:04:14  keird
   // Fixed various bugs.
   // Added headers to login and view profile pages.
   // Started making install pages and added install directory.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
?>

<html>
<head>
<title>
<?php echo("Login To " . _XFORUM_NAME . " Bulletin Boards"); ?>
</title>
</head>

<?php
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader(0, "");
?>
<br>
<center>
<?php echo("<table width=\"50%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
      <form method="POST" action="ValidateUser.php">
      <?php echo("<input type=\"hidden\" name=\"destURL\" value=\"" . $destURL . "\">"); ?>
         <?php if (isset($userMessage)): ?>
            <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td colspan="2">
               <font size="4" color="#FF0000">
               <?php
                  if ($userMessage == "unnaproved") {
                     echo("Sorry...Your account has not been approved by the <a href=\"mailto: " . _XFORUM_ADMIN_EMAIL . "\">administrator</a> yet.  Try again later.");
                  } else {
                     if ($userMessage == "suspended") {
                        echo("Sorry...Your account has been suspended.  Please contact the <a href=\"mailto: " . _XFORUM_ADMIN_EMAIL . "\">administrator</a>.");
                     } else {
                        if ($userMessage == "denied") {
                           echo("Permission Denied.");
                        } else {
                           echo("Incorrect login or password.");
                        }
                     }
                  }
               ?>
               </font>
               </td>
            </tr>
         <?php endif ?>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td colspan="2"><center>Please enter your username and password. If you haven't registered yet, click <a href="RegisterUser.php">here</a>.</center></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="20%">Username</td>
            <td width="80%"><input type="text" name="username" size="25"></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Password</td>
            <td><input type="password" name="password" size="25"></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td colspan="2" align="center"><input type="submit" value="Login" name="SubmitButton"></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td colspan="2" align="center">If you've forgotten your password click <a href="GetPassword.php">here</a>.</td>
         </tr>
      </form>
      </table>
   </td></tr>
</table>
</center>
</font>
</body>
</html>
