<?php
   // CVS Information
   //
   // $Id: ManageCategories.php,v 1.3 2000/06/25 18:20:30 keird Exp $
   // 
   // $Log: ManageCategories.php,v $
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageCategories.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>

<table border="1" width="100%">
<tr>
   <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
</tr>
<tr>
   <td><table border="1" width="100%" cellpadding="10">
      <tr>
         <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
         <td width="85%" valign="top">
            <big><big><strong>Categories</strong></big></big><br>
            <br>
            <table border="1">
               <tr>
                  <th>Category Name</th>
                  <th>Description</th>
                  <th>Moderator</th>
                  <th>Unapp. Threads</th>
                  <th>Unapp. Posts</th>
                  <th></th>
                  <th></th>
               <tr>
               <?php
                  $categoryList[] = new CCategory;
                  xforum_getCategoryList($link, $categoryList);
                  $num_elements = count($categoryList);
                  for ($indx = 1; $indx < $num_elements; $indx++) {
                     echo("<tr>");
                     echo("<td>" . $categoryList[$indx]->categoryName . "</td>");
                     echo("<td>" . $categoryList[$indx]->categoryDesc . "</td>");
                     $user_object = xforum_getUserByID($link, $categoryList[$indx]->moderatorID);
                     echo("<td><a href=\"MailTo: " . $user_object->email . "\">" . $user_object->nickname . "</a></td>");
                     echo("<td><a href=\"ApproveThreads.php?categoryID=" . $categoryList[$indx]->categoryID . "\">" . xforum_getNumThreadsByCategory($link, $categoryList[$indx]->categoryID, 0) . "</a></td>");
                     echo("<td><a href=\"ApprovePosts.php?categoryID=" . $categoryList[$indx]->categoryID . "\">" . xforum_getNumPostsByCategory($link, $categoryList[$indx]->categoryID, 0) . "</a></td>");
                     echo("<td><a href=\"EditCategory.php?categoryID=" . $categoryList[$indx]->categoryID . "\">Edit</a></td>");
                     echo("<td><a href=\"DeleteCategory.php?categoryID=" . $categoryList[$indx]->categoryID . "\">Delete</a></td>");
                     echo("</tr>");
                  }
               ?>
            </table>
            <br>
            <a href="NewCategory.php?destURL=ManageCategories.php">New Category</a>
         </td>
      </tr>
   </table></td>
</tr>
</table>

</body>
</html>