<?php
   // CVS Information
   //
   // $Id: ManageGroups.php,v 1.1 2000/07/01 21:14:06 keird Exp $
   // 
   // $Log: ManageGroups.php,v $
   // Revision 1.1  2000/07/01 21:14:06  keird
   // Added control panel ability to manage groups.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageGroups.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>

<table border="1" width="100%">
   <tr>
      <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
   </tr>
   <tr>
      <td><table border="1" width="100%" cellpadding="10">
         <tr>
            <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
            <td width="85%" valign="top">
               <big><big><strong>Groups</strong></big></big><br>
               <br>
               <table border="1">
                  <tr>
                     <th>Group Name</th>
                     <th></th>
                     <th></th>
                  </tr>
                  <?php
                     $groupList[] = new CGroup;
                     xforum_getGroupList($link, $groupList);
                     $num_elements = count($groupList);
                     for($indx = 1; $indx < $num_elements; $indx++){
                        echo("<tr>");
                        echo("<td>" . $groupList[$indx]->groupName . "</td>");
                        echo("<td><a href=\"EditGroup.php?groupID=" . $groupList[$indx]->groupID . "\">Edit</a></td>");
                        echo("<td><a href=\"DeleteGroup.php?groupID=" . $groupList[$indx]->groupID . "\">Delete</a></td>");
                        echo("</tr>");
                     }
                  ?>
               </table>
               <br>
               <a href="NewGroup.php?destURL=ManageGroups.php">New Group</a>
            </td>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>
