<?php
   // CVS Information
   //
   // $Id: ManageUsers.php,v 1.3 2000/06/25 18:20:30 keird Exp $
   // 
   // $Log: ManageUsers.php,v $
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageUsers.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>

<table border="1" width="100%">
   <tr>
      <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
   </tr>
   <tr>
      <td><table border="1" width="100%" cellpadding="10">
         <tr>
            <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
            <td width="85%" valign="top">
               <big><big><strong>Users</strong></big></big><br>
               <br>
               <table border="1">
                  <tr>
                     <th>Nickname</th>
                     <th>EMail</th>
                     <th>Status</th>
                     <th>Level</th>
                     <th>Group</th>
                     <th>RegisterDate</th>
                     <th>LastLogin</th>
                     <th>LastPost</th>
                     <th></th>
                     <th></th>
                  <tr>
                  <?php
                     $userList[] = new CUser;
                     xforum_getUserList($link, $userList, -1, "Nickname");
                     $num_elements = count($userList);
                     for($indx = 1; $indx < $num_elements; $indx++){
                        echo("<tr>");
                        echo("<td>" . $userList[$indx]->nickname . "</td>");
                        echo("<td><a href=\"MailTo:" . $userList[$indx]->email . "\">" . $userList[$indx]->email . "</a></td>");
                        echo("<td>");
                        switch ($userList[$indx]->status) {
                        case 0:  echo("Unapproved");
                                 break;
                        case 1:  echo("Active");
                                 break;
                        case 2:  echo("Suspended");
                                 break;
                        }
                        echo("</td>");
                        echo("<td>");
                        switch ($userList[$indx]->userLevel) {
                        case 0:  echo("Guest");
                                 break;
                        case 1:  echo("Member");
                                 break;
                        case 2:  echo("Admin");
                                 break;
                        }
                        echo("</td>");
                        echo("<td>" . xforum_getGroupNameByID($link, $userList[$indx]->groupID) . "</td>");
                        echo("<td>" . $userList[$indx]->registerDate . "</td>");
                        echo("<td>" . $userList[$indx]->newLastLogin . "</td>");
                        echo("<td>" . $userList[$indx]->lastPost . "</td>");
                        echo("<td><a href=\"EditUser.php?userID=" . $userList[$indx]->userID . "\">Edit</a></td>");
                        echo("<td><a href=\"DeleteUser.php?userID=" . $userList[$indx]->userID . "\">Delete</a></td>");
                        echo("</tr>");
                     }
                  ?>
               </table>
            </td>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>
