<?php
   // CVS Information
   //
   // $Id: NewPosts.php,v 1.2 2000/09/10 18:46:16 keird Exp $
   // 
   // $Log: NewPosts.php,v $
   // Revision 1.2  2000/09/10 18:46:16  keird
   // Fixed bug in NewPosts.php where extra entries were displayed.
   //
   // Revision 1.1  2000/09/10 16:37:10  keird
   // Added feature to let user view all new threads and all threads with new
   // posts for a board on a single page.
   //
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "NewPosts.php?boardID=" . $boardID;

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);

   $board_object = xforum_getBoardByID($link, $boardID);
?>

<html>
<head>
<title>
<?php
   echo("New Posts For " . $board_object->boardName);
?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<font size="4"><b>
<?php echo("<a href=\"Boards.php\">Index</a>/<a href=\"Categories.php?boardID=" . $board_object->boardID . "\">" . $board_object->boardName . "</a>/New Posts"); ?>
</b></font>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="3%"><img src="blank.gif"></td>
            <td width="42%"><font size="2">Thread</font></td>
            <td width="30%"><font size="2">Category</font></td>
            <td width="15%"><font size="2">Start Date</font></td>
            <td width="10%"><font size="2">Started By</font></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"><td colspan=\"5\"><font size=\"4\">New Threads In " . $board_object->boardName . "</font></td></tr>"); ?>
         <?php
            $anyNewThreads = FALSE;
            $category_object[] = new CCategory;
            xforum_getCategoryListByBoard($link, $board_object->boardID, $category_object);
            $num_categories = count($category_object);
            for ($cat = 1; $cat < $num_categories; $cat++) {
               $thread_object[] = new CThread;
               xforum_getThreadList($link, $category_object[$cat]->categoryID, $thread_object, "1", "Posted DESC");
               $num_threads = count($thread_object);
               for ($thread = 1; $thread < $num_threads; $thread++) {
                  if ($thread_object[$thread]->posted > $user_object->lastLogin) {
                     $anyNewThreads = TRUE;
                     echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
                     if ($thread_object[$thread]->icon == "")
                        echo("<td><img src=\"blank.gif\"></td>");
                     else
                        echo("<td><img width=\"16\" height=\"16\" src=\"" . _DIR_ICONS . "/" . $thread_object[$thread]->icon . "\"></td>");
                     echo("<td><font size=\"2\">");
                     echo("<a href=\"ViewThread.php?boardID=" . $boardID . "&categoryID=" . $category_object[$cat]->categoryID . "&threadID=" . $thread_object[$thread]->threadID . "\">" . $thread_object[$thread]->subject . "</a></td>");
                     echo("</font></td>");
                     echo("<td><font size=\"2\">" . $category_object[$cat]->categoryName . "</font></td>");
                     echo("<td><font size=\"2\">" . $thread_object[$thread]->posted . "</font></td>");
                     $moderator_object = xforum_getUserByID($link, $thread_object[$thread]->userID);
                     echo("<td><font size=\"2\"><a href=\"MailTo: " . $moderator_object->email . "\">" . $moderator_object->nickname . "</a></font></td>");
                     echo("</tr>");
                  }
                  unset($thread_object);
               }
            }
            if ($anyNewThreads == FALSE) {
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               echo("<td colspan=\"5\"><font size=\"3\"><b>No new threads since your last login...</b></font></td>");
               echo("</tr>");
            }
         ?>
      </table>
   </td></tr>
</table>

<font size="4"><b>
<?php echo("<br>"); ?>
</b></font>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="3%"><img src="blank.gif"></td>
            <td width="42%"><font size="2">Thread</font></td>
            <td width="30%"><font size="2">Category</font></td>
            <td width="10%"><font size="2">Posts</font></td>
            <td width="15%"><font size="2">LastPost</font></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"><td colspan=\"5\"><font size=\"4\">Threads With New Posts In " . $board_object->boardName . "</font></td></tr>"); ?>
         <?php
            $anyNewPosts = FALSE;
            $category_object2[] = new CCategory;
            xforum_getCategoryListByBoard($link, $board_object->boardID, $category_object2);
            $num_categories = count($category_object2);
            for ($cat = 1; $cat < $num_categories; $cat++) {
               $thread_object2[] = new CThread;
               xforum_getThreadList($link, $category_object2[$cat]->categoryID, $thread_object2, "1", "Posted DESC");
               $num_threads = count($thread_object2);
               for ($thread = 1; $thread < $num_threads; $thread++) {
                  $lastPostDate = xforum_getLastPostDateByThread($link, $category_object2[$cat]->categoryID, $thread_object2[$thread]->threadID);
                  $numPosts = xforum_getNumPostsByThread($link, $category_object2[$cat]->categoryID, $thread_object2[$thread]->threadID, "1");
                  if ($lastPostDate > $user_object->lastLogin) {
                     if ($numPosts > 0) {
                        $anyNewPosts = TRUE;
                        echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
                        if ($thread_object2[$thread]->icon == "")
                           echo("<td><img src=\"blank.gif\"></td>");
                        else
                           echo("<td><img width=\"16\" height=\"16\" src=\"" . _DIR_ICONS . "/" . $thread_object2[$thread]->icon . "\"></td>");
                        echo("<td><font size=\"2\">");
                        echo("<a href=\"ViewThread.php?boardID=" . $boardID . "&categoryID=" . $category_object2[$cat]->categoryID . "&threadID=" . $thread_object2[$thread]->threadID . "\">" . $thread_object2[$thread]->subject . "</a></td>");
                        echo("</font></td>");
                        echo("<td><font size=\"2\">" . $category_object2[$cat]->categoryName . "</font></td>");
                        echo("<td><font size=\"2\">" . $numPosts . "</a></font></td>");
                        echo("<td><font size=\"2\">" . $lastPostDate . "</font></td>");
                        echo("</tr>");
                     }
                  }
               }
               unset($thread_object2);
            }
            if ($anyNewPosts == FALSE) {
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               echo("<td colspan=\"5\"><font size=\"3\"><b>No new posts since your last login...</b></font></td>");
               echo("</tr>");
            }
            xforum_displayLastLogin($user_object->lastLogin, 5, TRUE);
            xforum_displayIconLegend(5);
         ?>
      </table>
   </td></tr>
</table>
</font>

</body>
</html>
