<?php
   // CVS Information
   //
   // $Id: Boards.php,v 1.4 2000/07/10 02:29:22 keird Exp $
   // 
   // $Log: Boards.php,v $
   // Revision 1.4  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Boards.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Bulletin Boards"); ?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<font size="4"><b><a href="Boards.php">Index</a>/</b></font>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">   
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="3%"><img src="blank.gif"></td>
            <td width="51%"><font size="2">Board Name</font></td>
            <td width="7%"><font size="2">Categories</font></td>
            <td width="7%"><font size="2">Threads</font></td>
            <td width="7%"><font size="2">Posts</font></td>
            <td width="15%"><font size="2">Last Post</font></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"><td colspan=\"6\"><font size=\"4\">" . _XFORUM_NAME . "</font></td></tr>"); ?>
         <?php
            $board_object[] = new CBoard;
            xforum_getBoardList($link, $board_object);
            $num_elements = count($board_object);
            for ($indx = 1; $indx < $num_elements; $indx++) {
               $lastPost = xforum_getLastPostDateByBoard($link, $board_object[$indx]->boardID);
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               if ($lastPost > $user_object->lastLogin)
                  echo("<td><img src=\"" . _IMAGE_BOARD_NEW . "\"></td>");
               else
                  echo("<td><img src=\"" . _IMAGE_BOARD . "\"></td>");
               if (xforum_accessToBoard($link, $board_object[$indx]->boardID, $user_object->groupID) == TRUE)
                  echo("<td><font size=\"2\"><a href=\"Categories.php?boardID=" . $board_object[$indx]->boardID . "\">" . $board_object[$indx]->boardName . "</a></font>");
               else
                  echo("<td><font size=\"2\" color=\"" . _BOARD_LINK_COLOR . "\">" . $board_object[$indx]->boardName . "</font>");
               echo("<br><font size=\"2\">" . $board_object[$indx]->boardDesc . "</font>");
               echo("</td>");
               echo("<td><font size=\"2\">" . xforum_getNumCategories($link, $board_object[$indx]->boardID) . "</font></td>");
               echo("<td><font size=\"2\">" . xforum_getNumThreadsByBoard($link, $board_object[$indx]->boardID, "1") . "</font></td>");
               echo("<td><font size=\"2\">" . xforum_getNumPostsByBoard($link, $board_object[$indx]->boardID, "1") . "</font></td>");
               if ($lastPost == "")
                  $lastPost = "N/A";
               echo("<td><font size=\"2\">" . $lastPost . "</font></td>");
               echo("</tr>");
            }
            xforum_displayLastLogin($user_object->lastLogin, 6, TRUE);
            xforum_displayIconLegend(6);
         ?>
      </table>
   </td></tr>
</table>
</font>
</body>
</html>
