<?php
   // CVS Information
   //
   // $Id: Common.php,v 1.13 2000/09/10 16:37:10 keird Exp $
   // 
   // $Log: Common.php,v $
   // Revision 1.13  2000/09/10 16:37:10  keird
   // Added feature to let user view all new threads and all threads with new
   // posts for a board on a single page.
   //
   // Revision 1.12  2000/08/18 22:51:35  keird
   // Added ability to generate a new password and email it to user who has
   // forgotten their password.
   //
   // Revision 1.11  2000/08/10 22:51:31  keird
   // Fixed bug in which a modified message became owned by the admin modifying
   // it.
   //
   // Revision 1.10  2000/08/09 01:24:21  keird
   // Fixed problem of duplicate email notifications when a user had more than
   // one reply selected to be notified.  Also does not send notification to the
   // user who posted.
   //
   // Revision 1.9  2000/08/09 01:16:31  keird
   // Added ability for those posting replies to a thread to have email
   // notification whenever new replies are posted.
   //
   // Revision 1.8  2000/08/09 00:50:25  keird
   // Changed sort order for threads to be by descending post date.
   // Added ability for thread owner to be notified by email when someone
   // replies to the thread.
   //
   // Revision 1.7  2000/08/06 23:28:44  keird
   // Added ability to delete threads and posts.  This is only available to
   // the category moderator or forum admin.
   //
   // Revision 1.6  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.5  2000/07/08 13:10:58  keird
   // Make check to ensure that usernames and nicknames are unique.
   //
   // Revision 1.4  2000/07/01 21:14:06  keird
   // Added control panel ability to manage groups.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Config.php");
   require("Classes.php");

   function xforum_connectToDatabase()
   {
      $link = mysql_connect(_MYSQL_SERVER_NAME, _MYSQL_USER_NAME, _MYSQL_PASSWORD);
      mysql_selectdb(_MYSQL_DATABASE_NAME, $link);
      return $link;
   }

   function xforum_validateUser($link, $username, $password)
   {
      $result = mysql_query("SELECT * FROM Users WHERE Username='" . $username . "' AND Password='" . md5($password) . "'", $link);
      if ($result == 0) {
         echo(mysql_error());
         return 0;
      }
      if (mysql_num_rows($result) <= 0) {
         return 0;
      }
      $row_object = mysql_fetch_object($result);
      return $row_object->UserID;
   }

   function xforum_validateUserByEMail($link, $username, $email)
   {
      $result = mysql_query("SELECT * FROM Users WHERE Username='" . $username . "' AND EMail='" . $email . "'", $link);
      if ($result == 0) {
         echo(mysql_error());
         return 0;
      }
      if (mysql_num_rows($result) <= 0) {
         return 0;
      }
      $row_object = mysql_fetch_object($result);
      return $row_object->UserID;
   }

   function xforum_getUserByID($link, $userID)
   {
      $retUser = new CUser;
      $result = mysql_query("SELECT * FROM Users WHERE UserID=" . abs($userID), $link);
      if ($result == 0) {
         echo(mysql_error());
         return $retUser;
      }
      if (mysql_num_rows($result) <= 0) {
         return $retUser;
      }
      $row_object = mysql_fetch_object($result);
      $retUser->userID = $row_object->UserID;
      $retUser->username = $row_object->Username;
      $retUser->nickname = $row_object->Nickname;
      $retUser->email = $row_object->EMail;
      $retUser->registerDate = $row_object->RegisterDate;
      $retUser->newLastLogin = $row_object->NewLastLogin;
      $retUser->lastLogin = $row_object->LastLogin;
      $retUser->userLevel = $row_object->UserLevel;
      $retUser->groupID = $row_object->GroupID;
      $retUser->status = $row_object->Status;
      $retUser->totalPosts = $row_object->TotalPosts;
      $retUser->lastPost = $row_object->LastPost;
      $retUser->homepage = $row_object->Homepage;
      $retUser->location = $row_object->Location;
      $retUser->occupation = $row_object->Occupation;
      $retUser->interests = $row_object->Interests;
      $retUser->icqNumber = $row_object->ICQNumber;
      $retUser->age = $row_object->Age;
      $retUser->comments = $row_object->Comments;
      $retUser->signature = $row_object->Signature;
      $retUser->password = $row_object->Password;
      return $retUser;
   }

   function xforum_getUserList($link, &$user_object, $approvedValue, $orderBy)
   {
      $SQLQuery = "SELECT * FROM Users";
      if ($approvedValue >= 0)
         $SQLQuery .= " WHERE Status=" . $approvedValue;
      if ($orderBy != "")
         $SQLQuery .= " ORDER BY " . $orderBy;         
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing Users query: " . mysql_error($link));
         return;
      }
      $tempUser = new CUser;
      while ($row_object = mysql_fetch_object($result)) {
         $tempUser->userID = $row_object->UserID;
         $tempUser->username = $row_object->Username;
         $tempUser->nickname = $row_object->Nickname;
         $tempUser->email = $row_object->EMail;
         $tempUser->registerDate = $row_object->RegisterDate;
         $tempUser->newLastLogin = $row_object->NewLastLogin;
         $tempUser->lastLogin = $row_object->LastLogin;
         $tempUser->userLevel = $row_object->UserLevel;
         $tempUser->groupID = $row_object->GroupID;
         $tempUser->status = $row_object->Status;
         $tempUser->totalPosts = $row_object->TotalPosts;
         $tempUser->lastPost = $row_object->LastPost;
         $tempUser->homepage = $row_object->Homepage;
         $tempUser->location = $row_object->Location;
         $tempUser->occupation = $row_object->Occupation;
         $tempUser->interests = $row_object->Interests;
         $tempUser->icqNumber = $row_object->ICQNumber;
         $tempUser->age = $row_object->Age;
         $tempUser->comments = $row_object->Comments;
         $tempUser->signature = $row_object->Signature;
         $tempUser->password = $row_object->Password;
         $user_object[] = $tempUser;
      }
      mysql_free_result($result);
   }

   function xforum_updateUser($link, $user_object)
   {
      $SQLQuery = "UPDATE Users";
      $SQLQuery .= " SET";
      $SQLQuery .= " Username=\"" . $user_object->username . "\",";
      $SQLQuery .= " Nickname=\"" . $user_object->nickname . "\",";
      $SQLQuery .= " EMail=\"" . $user_object->email . "\",";
      $SQLQuery .= " RegisterDate=\"" . $user_object->registerDate . "\",";
      $SQLQuery .= " NewLastLogin=\"" . $user_object->newLastLogin . "\",";
      $SQLQuery .= " LastLogin=\"" . $user_object->lastLogin . "\",";
      $SQLQuery .= " UserLevel=" . $user_object->userLevel . ",";
      $SQLQuery .= " GroupID=" . $user_object->groupID . ",";
      $SQLQuery .= " Status=" . $user_object->status . ",";
      $SQLQuery .= " TotalPosts=" . settype($user_object->totalPosts, "integer") . ",";
      $SQLQuery .= " LastPost=\"" . $user_object->lastPost . "\",";
      $SQLQuery .= " HomePage=\"" . $user_object->homepage . "\",";
      $SQLQuery .= " Location=\"" . $user_object->location . "\",";
      $SQLQuery .= " Interests=\"" . $user_object->interests . "\",";
      $SQLQuery .= " ICQNumber=\"" . $user_object->icqNumber . "\",";
      $SQLQuery .= " Age=" . $user_object->age . ",";
      $SQLQuery .= " Comments=\"" . $user_object->comments . "\",";
      $SQLQuery .= " Signature=\"" . $user_object->signature . "\",";
      if (substr($SQLQuery, strlen($SQLQuery) - 1, 1) == ",")
         $SQLQuery = substr($SQLQuery, 0, strlen($SQLQuery) - 1);
      $SQLQuery .= " WHERE UserID=" . $user_object->userID;
      $result = mysql_query($SQLQuery);
      if ($result == 0) {
         echo(mysql_error($link) . "<br>");
         echo($SQLQuery);
         return;
      }
   }

   function xforum_updateUserPassword($link, $userID, $password)
   {
      $SQLQuery = "UPDATE Users";
      $SQLQuery .= " SET Password=\"" . md5($password) . "\"";
      $SQLQuery .= " WHERE UserID=" . abs($userID);
      $result = mysql_query($SQLQuery);
      if ($result == 0) {
         echo(mysql_error($link) . "<br>");
         echo($SQLQuery);
         return;
      }
   }

   function xforum_getBoardByID($link, $boardID)
   {
      $retBoard = new CBoard;
      $result = mysql_query("SELECT * FROM Boards WHERE BoardID=" . $boardID, $link);
      if ($result == 0) {
         return retBoard;
      }
      $row_object = mysql_fetch_object($result);
      $retBoard->boardID = $row_object->BoardID;
      $retBoard->boardName = $row_object->BoardName;
      $retBoard->boardDesc = $row_object->BoardDesc;
      mysql_free_result($result);

      return $retBoard;
   }

   function xforum_getBoardList($link, &$board_object)
   {
      $SQLQuery = "SELECT * FROM Boards";
      $SQLQuery .= " ORDER BY BoardName";
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo(mysql_error($link));
         return;
      }
      $tempBoard = new CBoard;
      while ($row_object = mysql_fetch_object($result)) {
         $tempBoard->boardID = $row_object->BoardID;
         $tempBoard->boardName = $row_object->BoardName;
         $tempBoard->boardDesc = $row_object->BoardDesc;
         $board_object[] = $tempBoard;
      }
      mysql_free_result($result);
   }

   function xforum_accessToBoard($link, $boardID, $groupID)
   {
      $SQLQuery = "SELECT * FROM BoardAccess";
      $SQLQuery .= " WHERE BoardID=" . $boardID . " AND GroupID=" . $groupID;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo(mysql_error($link));
         return FALSE;
      }
      if (mysql_num_rows($result) <= 0) {
         return FALSE;
      }
      return TRUE;
   }

   function xforum_getCategoryListByBoard($link, $boardID, &$category_object)
   {
      $SQLQuery = "SELECT Categories.CategoryID, Categories.CategoryName, Categories.CategoryDesc, Categories.ModeratorID";
      $SQLQuery .= " FROM Categories, BoardCats";
      $SQLQuery .= " WHERE Categories.CategoryID=BoardCats.CategoryID AND BoardCats.BoardID=" . $boardID;
      $SQLQuery .= " ORDER BY Categories.CategoryName";
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing Categories query: " . mysql_error($link));
         return;
      }
      $tempCategory = new CCategory;
      while ($row_object = mysql_fetch_object($result)) {
         $tempCategory->categoryID = $row_object->CategoryID;
         $tempCategory->categoryName = $row_object->CategoryName;
         $tempCategory->categoryDesc = $row_object->CategoryDesc;
         $tempCategory->moderatorID = $row_object->ModeratorID;
         $category_object[] = $tempCategory;
      }
      mysql_free_result($result);
   }

   function xforum_getCategoryList($link, &$category_object)
   {
      $SQLQuery = "SELECT *";
      $SQLQuery .= " FROM Categories";
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing Categories query: " . mysql_error($link));
         return;
      }
      $tempCategory = new CCategory;
      while ($row_object = mysql_fetch_object($result)) {
         $tempCategory->categoryID = $row_object->CategoryID;
         $tempCategory->categoryName = $row_object->CategoryName;
         $tempCategory->categoryDesc = $row_object->CategoryDesc;
         $tempCategory->moderatorID = $row_object->ModeratorID;
         $category_object[] = $tempCategory;
      }
      mysql_free_result($result);
   }

   function xforum_getThreadList($link, $categoryID, &$thread_object, $approvedValue, $orderBy)
   {
      $SQLQuery = "SELECT * FROM Category_" . $categoryID;
      if (isset($approvedValue))
         $SQLQuery .= " WHERE Approved=" . $approvedValue;
      if (isset($orderBy))
         $SQLQuery .= " ORDER BY " . $orderBy;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing Threads query: " . mysql_error($link));
         return;
      }
      $tempThread = new CThread;
      while ($row_object = mysql_fetch_object($result)) {
         $tempThread->categoryID = $categoryID;
         $tempThread->threadID = $row_object->ThreadID;
         $tempThread->icon = $row_object->Icon;
         $tempThread->subject = $row_object->Subject;
         $tempThread->body = $row_object->Body;
         $tempThread->posted = $row_object->Posted;
         $tempThread->userID = $row_object->UserID;
         $tempThread->open = $row_object->Open;
         $tempThread->approved = $row_object->Approved;
         $thread_object[] = $tempThread;
      }
      mysql_free_result($result);
   }

   function xforum_getPostList($link, $categoryID, &$post_object, $approvedValue, $orderBy)
   {
      $SQLQuery = "SELECT * FROM RE_Category_" . $categoryID;
      if (isset($approvedValue))
         $SQLQuery .= " WHERE Approved=" . $approvedValue;
      if (isset($orderBy))
         $SQLQuery .= " ORDER BY " . $orderBy;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing Posts query: " . mysql_error($link));
         return;
      }
      $tempPost = new CPost;
      while ($row_object = mysql_fetch_object($result)) {
         $tempPost->categoryID = $categoryID;
         $tempPost->threadID = $row_object->ThreadID;
         $tempPost->replyID = $row_object->ReplyID;
         $tempPost->icon = $row_object->Icon;
         $tempPost->body = $row_object->Body;
         $tempPost->posted = $row_object->Posted;
         $tempPost->userID = $row_object->UserID;
         $tempPost->approved = $row_object->Approved;
         $post_object[] = $tempPost;
      }
      mysql_free_result($result);
   }

   function xforum_getPostListByThread($link, $categoryID, $threadID, &$post_object, $approvedValue, $orderBy)
   {
      $SQLQuery = "SELECT * FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      if (isset($approvedValue))
         $SQLQuery .= " AND Approved=" . $approvedValue;
      if (isset($orderBy))
         $SQLQuery .= " ORDER BY " . $orderBy;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing Posts query: " . mysql_error($link));
         return;
      }
      $tempPost = new CPost;
      while ($row_object = mysql_fetch_object($result)) {
         $tempPost->categoryID = $categoryID;
         $tempPost->threadID = $row_object->ThreadID;
         $tempPost->replyID = $row_object->ReplyID;
         $tempPost->icon = $row_object->Icon;
         $tempPost->body = $row_object->Body;
         $tempPost->posted = $row_object->Posted;
         $tempPost->userID = $row_object->UserID;
         $tempPost->approved = $row_object->Approved;
         $post_object[] = $tempPost;
      }
      mysql_free_result($result);
   }

   function xforum_getThreadByID($link, $categoryID, $threadID)
   {
      $retThread = new CThread;
      $SQLQuery = "SELECT * FROM Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing ThreadByID query: " . mysql_error($link));
         return;
      }
      $row_object = mysql_fetch_object($result);
      $retThread->threadID = $row_object->ThreadID;
      $retThread->icon = $row_object->Icon;
      $retThread->subject = $row_object->Subject;
      $retThread->body = $row_object->Body;
      $retThread->posted = $row_object->Posted;
      $retThread->userID = $row_object->UserID;
      $retThread->open = $row_object->Open;
      $retThread->approved = $row_object->Approved;
      mysql_free_result($result);

      return $retThread;
   }

   function xforum_getPostByID($link, $categoryID, $postID)
   {
      $retPost = new CPost;
      $SQLQuery = "SELECT * FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ReplyID=" . $postID;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo("Error executing PostByID query: " . mysql_error($link));
         return;
      }
      $row_object = mysql_fetch_object($result);
      $retPost->threadID = $row_object->ThreadID;
      $retPost->replyID = $row_object->ReplyID;
      $retPost->icon = $row_object->Icon;
      $retPost->body = $row_object->Body;
      $retPost->posted = $row_object->Posted;
      $retPost->userID = $row_object->UserID;
      $retPost->approved = $row_object->Approved;
      mysql_free_result($result);

      return $retPost;
   }

   function xforum_getCategoryByID($link, $categoryID)
   {
      $retCategory = new CCategory;
      $result = mysql_query("SELECT * FROM Categories WHERE CategoryID=" . $categoryID, $link);
      if ($result == 0) {
         return retCategory;
      }
      $row_object = mysql_fetch_object($result);
      $retCategory->categoryID = $row_object->CategoryID;
      $retCategory->categoryName = $row_object->CategoryName;
      $retCategory->categoryDesc = $row_object->CategoryDesc;
      $retCategory->moderatorID = $row_object->ModeratorID;
      mysql_free_result($result);

      return $retCategory;
   }

   function xforum_getLastPostDateByCategory($link, $categoryID)
   {
      $lastPost = "";
      $result = mysql_query("SELECT MAX(Posted) AS LastPost FROM Category_" . $categoryID, $link);
      if ($result == 0) {
         return $lastPost;
      }
      $row_object = mysql_fetch_object($result);
      $lastPost = $row_object->LastPost;
      mysql_free_result($result);

      $result = mysql_query("SELECT MAX(Posted) AS LastPost FROM RE_Category_" . $categoryID, $link);
      if ($result == 0) {
         return $lastPost;
      }
      $row_object = mysql_fetch_object($result);
      if ($row_object->LastPost > $lastPost) {
         $lastPost = $row_object->LastPost;
      }
      mysql_free_result($result);

      return $lastPost;
   }

   function xforum_getNumThreadsByCategory($link, $categoryID, $approvedValue)
   {
      $nThreads = 0;
      $SQLQuery = "SELECT COUNT(ThreadID) as nThreads FROM Category_" . $categoryID;
      if (isset($approvedValue))
         $SQLQuery .= " WHERE Approved=" . $approvedValue;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         return $nThreads;
      }
      $row_object = mysql_fetch_object($result);
      $nThreads = $row_object->nThreads;
      mysql_free_result($result);

      return $nThreads;
   }

   function xforum_getNumPostsByCategory($link, $categoryID, $approvedValue)
   {
      $nPosts = 0;
      $SQLQuery = "SELECT COUNT(ThreadID) as nPosts FROM RE_Category_" . $categoryID;
      if (isset($approvedValue))
         $SQLQuery .= " WHERE Approved=" . $approvedValue;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         return $nPosts;
      }
      $row_object = mysql_fetch_object($result);
      $nPosts = $row_object->nPosts;
      mysql_free_result($result);

      return $nPosts;
   }

   function xforum_getNumCategories($link, $boardID)
   {
      $result = mysql_query("SELECT COUNT(CategoryID) as nCategories FROM BoardCats WHERE BoardID='" . $boardID . "'", $link);
      if ($result == 0) {
         return 0;
      }
      $row_object = mysql_fetch_object($result);
      $nCategories = $row_object->nCategories;
      mysql_free_result($result);

      return $nCategories;      
   }

   function xforum_getNumThreadsByBoard($link, $boardID, $approvedValue)
   {
      $nThreads = 0;
      $result = mysql_query("SELECT CategoryID FROM BoardCats WHERE BoardID=" . $boardID, $link);
      if ($result == 0) {
         return $nThreads;
      }
      while ($row_object = mysql_fetch_object($result)){
         $nThreads += xforum_getNumThreadsByCategory($link, $row_object->CategoryID, $approvedValue);
      }
      mysql_free_result($result);

      return $nThreads;
   }

   function xforum_getNumPostsByBoard($link, $boardID, $approvedValue)
   {
      $nPosts = 0;
      $result = mysql_query("SELECT CategoryID FROM BoardCats WHERE BoardID=" . $boardID, $link);
      if ($result == 0) {
         return $nPosts;
      }
      while ($row_object = mysql_fetch_object($result)){
         $nPosts += xforum_getNumPostsByCategory($link, $row_object->CategoryID, $approvedValue);
      }
      mysql_free_result($result);

      return $nPosts;
   }

   function xforum_getLastPostDateByBoard($link, $boardID)
   {
      $lastPost = "";
      $result = mysql_query("SELECT CategoryID FROM BoardCats WHERE BoardID=" . $boardID, $link);
      if ($result == 0) {
         return $lastPost;
      }
      while ($row_object = mysql_fetch_object($result)){
         $tempDate = xforum_getLastPostDateByCategory($link, $row_object->CategoryID);
         if ($tempDate > $lastPost) {
            $lastPost = $tempDate;
         }
      }
      mysql_free_result($result);

      return $lastPost;
   }

   function xforum_getNumPostsByThread($link, $categoryID, $threadID, $approvedValue)
   {
      $nPosts = 0;
      $SQLQuery = "SELECT COUNT(ThreadID) as nReplies FROM RE_Category_" . $categoryID . " WHERE ThreadID=" . $threadID;
      if (isset($approvedValue))
         $SQLQuery .= " AND Approved=" . $approvedValue;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         return $nPosts;
      }
      $row_object = mysql_fetch_object($result);
      $nPosts = $row_object->nReplies;
      mysql_free_result($result);

      return $nPosts;
   }

   function xforum_getLastPostDateByThread($link, $categoryID, $threadID)
   {
      $lastPost = "";
      $result = mysql_query("SELECT MAX(Posted) AS LastPost FROM Category_" . $categoryID . " WHERE ThreadID=" . $threadID, $link);
      if ($result == 0) {
         return $lastPost;
      }
      $row_object = mysql_fetch_object($result);
      $lastPost = $row_object->LastPost;
      mysql_free_result($result);

      $result = mysql_query("SELECT MAX(Posted) AS LastPost FROM RE_Category_" . $categoryID . " WHERE ThreadID=" . $threadID, $link);
      if ($result == 0) {
         return $lastPost;
      }
      $row_object = mysql_fetch_object($result);
      if ($row_object->LastPost > $lastPost) {
         $lastPost = $row_object->LastPost;
      }
      mysql_free_result($result);

      return $lastPost;
   }

   function xforum_emailExists($link, $email)
   {
      $result = mysql_query("SELECT COUNT(UserID) as nUsers FROM Users WHERE EMail='" . $email . "'", $link);
      if ($result == 0) {
         return FALSE;
      }
      $row_object = mysql_fetch_object($result);
      if ($row_object->nUsers > 0) {
         return TRUE;
      }
      return FALSE;
   }

   function xforum_nicknameExists($link, $nickname)
   {
      $result = mysql_query("SELECT COUNT(UserID) as nUsers FROM Users WHERE Nickname='" . $nickname . "'", $link);
      if ($result == 0) {
         return FALSE;
      }
      $row_object = mysql_fetch_object($result);
      if ($row_object->nUsers > 0) {
         return TRUE;
      }
      return FALSE;
   }

   function xforum_usernameExists($link, $username)
   {
      $result = mysql_query("SELECT COUNT(UserID) as nUsers FROM Users WHERE Username='" . $username . "'", $link);
      if ($result == 0) {
         return FALSE;
      }
      $row_object = mysql_fetch_object($result);
      if ($row_object->nUsers > 0) {
         return TRUE;
      }
      return FALSE;
   }

   function xforum_generatePassword()
   {
      $hashTable = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
      $password = "";

      srand(time());
	   for($i = 0; $i < 8; $i++) {
	      $password .= substr($hashTable, (rand() % strlen($hashTable)), 1);
	   }
      return $password;
   }

   function xforum_getControlPanelMenu()
   {
      $menuInput = file("ControlPanelMenu.html");
      $num_elements = count($menuInput);
      if ($num_elements > 0) {
         for ($indx = 0; $indx < $num_elements; $indx++) {
            $menuHTML .= $menuInput[$indx];
         }
      }else
         $menuHTML = "No menu available";
      
      return $menuHTML;
   }

   function xforum_acceptThread($link, $categoryID, $threadID)
   {
      $SQLQuery = "UPDATE Category_" . $categoryID;
      $SQLQuery .= " SET Approved=1";
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      mysql_query($SQLQuery, $link);
   }

   function xforum_acceptPost($link, $categoryID, $replyID)
   {
      $SQLQuery = "UPDATE RE_Category_" . $categoryID;
      $SQLQuery .= " SET Approved=1";
      $SQLQuery .= " WHERE ReplyID=" . $replyID;
      mysql_query($SQLQuery, $link);
   }

   function xforum_rejectThread($link, $categoryID, $threadID)
   {
      $SQLQuery = "DELETE FROM Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      mysql_query($SQLQuery, $link);

      $SQLQuery = "DELETE FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      mysql_query($SQLQuery, $link);
   }

   function xforum_rejectPost($link, $categoryID, $replyID)
   {
      $SQLQuery = "DELETE FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ReplyID=" . $replyID;
      mysql_query($SQLQuery, $link);
   }

   function xforum_updateLastLoginDate($link, $userID)
   {
      $SQLQuery = "UPDATE Users";
      $SQLQuery .= " SET LastLogin=NewLastLogin";
      $SQLQuery .= " WHERE UserID=" . abs($userID);
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo(mysql_error($link));
         return FALSE;
      }
      $SQLQuery = "UPDATE Users";
      $SQLQuery .= " SET NewLastLogin=\"" . date("Y-m-d H:i:s") . "\"";
      $SQLQuery .= " WHERE UserID=" . abs($userID);
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0){
         echo(mysql_error($link));
         return FALSE;
      }
      return TRUE;
   }

   function xforum_getGroupList($link, &$group_object)
   {
      $SQLQuery = "SELECT *";
      $SQLQuery .= " FROM Groups";
      $SQLQuery .= " ORDER BY GroupName";
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo(mysql_error($link));
         return;
      }
      $tempGroup = new CGroup;
      while ($row_object = mysql_fetch_object($result)) {
         $tempGroup->groupID = $row_object->GroupID;
         $tempGroup->groupName = $row_object->GroupName;
         $group_object[] = $tempGroup;
      }
      mysql_free_result($result);
   }

   function xforum_getGroupNameByID($link, $groupID)
   {
      $SQLQuery = "SELECT *";
      $SQLQuery .= " FROM Groups";
      $SQLQuery .= " WHERE GroupID=" . $groupID;
      $result = mysql_query($SQLQuery, $link);
      if ($result == 0) {
         echo(mysql_error($link));
         return;
      }
      $row_object = mysql_fetch_object($result);
      return $row_object->GroupName;
   }

   function xforum_getIconList()
   {
      $dir = opendir(_DIR_ICONS);
      $iconList[0] = "";
      $indx = 1;
      while ($filename = readdir($dir)) {
         if (substr($filename, 0, 1) != ".") {
            $iconList[$indx] = $filename;
            $indx++;
         }
      }
      sort($iconList);
      return $iconList;
   }

   function xforum_setBodyAttributes()
   {
      echo("<body bgcolor=\"" . _BOARD_BACKGROUND_COLOR . "\" text=\"" . _BOARD_TEXT_COLOR . "\" link=\"" . _BOARD_LINK_COLOR . "\" vlink=\"" . _BOARD_LINK_COLOR . "\" alink=\"" . _BOARD_LINK_COLOR . "\" leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\">");
   }

   function xforum_setFontAttributes()
   {
      echo("<font face=\"" . _BOARD_FONT_FACE . "\">");
   }

   function xforum_displayHeader($userID, $destURL)
   {
      $userID = abs($userID);
      echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">");
      echo("<tr><td>");
      echo("<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\">");   
      echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
      echo("<td width=\"100%\"><font size=\"2\" face=\"" . _BOARD_FONT_FACE . "\">X-Forum Bulletin Board System</font><br><font size=\"1\" face=\"" . _BOARD_FONT_FACE . "\">Copyright 2000 by Keir Davis</font><br><br></td>");
      echo("</tr>");
      if ($userID) {
         echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\">");
         echo("<td width=\"100%\"><font size=\"2\" face=\"" . _BOARD_FONT_FACE . "\"><a href=\"LogoutUser.php?userID=" . $userID . "\">Logout</a> | <a href=\"EditProfile.php?userID=" . $userID . "&destURL=" . $destURL . "\">Edit Profile</a></font></td>");
         echo("</tr>");
      }   
      echo("</table>");
      echo("</td></td>");
      echo("</table>");
   }

   function xforum_displayLastLogin($lastLogin, $colspan, $closeRow)
   {
      echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\">");
      echo("<td colspan=\"" . $colspan . "\"><font size=\"2\">Your last login " . $lastLogin . "</font></td>");
      if ($closeRow) {
         echo("</tr>");
      }
   }

   function xforum_displayIconLegend($colspan)
   {
      echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\">");
      echo("<td colspan=\"" . $colspan . "\"><font size=\"2\"><img src=\"" . _IMAGE_BOARD_NEW . "\"> = New posts since your last login<br>");
      echo("<img src=\"" . _IMAGE_BOARD . "\"> = No new posts since your last login</font></td>");
      echo("</tr>");
   }

   function xforum_deleteThread($link, $categoryID, $threadID)
   {
      $SQLQuery = "DELETE FROM Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      $result = mysql_query($SQLQuery, $link);

      $SQLQuery = "DELETE FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      $result = mysql_query($SQLQuery, $link);
   }

   function xforum_deletePost($link, $categoryID, $threadID, $replyID)
   {
      $SQLQuery = "DELETE FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      $SQLQuery .= " AND ReplyID=" . $replyID;
      $result = mysql_query($SQLQuery, $link);
   }

   function xforum_notifyAboutNewPost($link, $categoryID, $threadID, $userID)
   {
      $category_object = xforum_getCategoryByID($link, $categoryID);
      $thread_object = xforum_getThreadByID($link, $categoryID, $threadID);

      $SQLQuery = "SELECT * FROM Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      $result = mysql_query($SQLQuery, $link);

      if ($row_object = mysql_fetch_object($result)) {
         if ($row_object->UserID < 0 && abs($row_object->UserID) != $userID) {
            $user_object = xforum_getUserByID($link, abs($row_object->UserID));
            $sendString = "Someone has posted a reply to your thread:\n\n";
            $sendString .= "    " . $thread_object->subject . "\n\n";
            $sendString .= "in the " . $category_object->categoryName . " category at " . _XFORUM_NAME . ".";
            mail($user_object->email, "Post Notification", $sendString, "From: " . _XFORUM_ADMIN_EMAIL);
         }
      }

      $SQLQuery = "SELECT DISTINCT UserID FROM RE_Category_" . $categoryID;
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
      $result = mysql_query($SQLQuery, $link);

      while ($row_object = mysql_fetch_object($result)) {
         if ($row_object->UserID < 0 && $row_object->UserID != $thread_object->userID && abs($row_object->UserID) != $userID) {
            $user_object = xforum_getUserByID($link, abs($row_object->UserID));
            $sendString = "Someone has posted a reply to the thread:\n\n";
            $sendString .= "    " . $thread_object->subject . "\n\n";
            $sendString .= "in the " . $category_object->categoryName . " category at " . _XFORUM_NAME . ".";
            mail($user_object->email, "Post Notification", $sendString, "From: " . _XFORUM_ADMIN_EMAIL);
         }
      }
   }
?>
