<?php
   // CVS Information
   //
   // $Id: Configure.php,v 1.5 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: Configure.php,v $
   // Revision 1.5  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.4  2000/09/10 16:37:10  keird
   // Added feature to let user view all new threads and all threads with new
   // posts for a board on a single page.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Configure.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Bulletin Boards"); ?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<?php echo("<font size=\"6\" face=\"" . _BOARD_FONT_FACE . "\">"); ?><b><center>Control-Panel</center></b></font>
<?php xforum_setFontAttributes(); ?>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>   
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">   
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
         <form method="POST" action="SaveConfig.php">
            <td width="15%" valign="top">
            <?php
               xforum_setFontAttributes();
               echo(xforum_getControlPanelMenu());
               echo("</font>");
            ?></td>
            <td width="85%" valign="top">
            <?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
            <tr><td>
               <table width="100%" border="0" cellspacing="1" cellpadding="4">   
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <?php xforum_setFontAttributes(); ?>
               <big><big><strong>X-Forum Configuration</strong></big></big><br>
               <br>
               <table border="0" width="100%">
                  <tr>
                     <td colspan="2"><b>MySQL Database Configuration</b></td>
                  </tr>
                  <tr>
                     <td width="20%">Server Name</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"serverName\" size=\"60\" value=\"" . _MYSQL_SERVER_NAME . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">User Name</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"userName\" size=\"60\" value=\"" . _MYSQL_USER_NAME . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Password</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"password\" size=\"60\" value=\"" . _MYSQL_PASSWORD . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Database Name</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"databaseName\" size=\"60\" value=\"" . _MYSQL_DATABASE_NAME . "\"></td>"); ?>
                  </tr>
               </table>
               </td></tr>
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <table border="0" width="100%">
                  <tr>
                     <td colspan="2"><b>Directories</b></td>
                  </tr>
                  <tr>
                     <td width="20%">Message Icons</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"iconsDir\" size=\"60\" value=\"" . _DIR_ICONS . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Buttons</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"buttonsDir\" size=\"60\" value=\"" . _DIR_BUTTONS . "\"></td>"); ?>
                  </tr>
               </table>
               </td></tr>
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <table border="0" width="100%">
                  <tr>
                     <td colspan="2"><b>New User Configuration</b></td>
                  </tr>
                  <tr>
                     <td width="20%">EMail Password</td>
                     <?php 
                        echo("<td width=\"80%\"><select name=\"emailPassword\">");
                        echo("<option value=\"TRUE\"");
                        if (_REQUIRE_EMAIL_PASSWORD == TRUE)
                           echo(" selected");
                        echo(">Yes");
                        echo("<option value=\"FALSE\"");
                        if (_REQUIRE_EMAIL_PASSWORD == FALSE)
                           echo(" selected");
                        echo(">No");
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
                  <tr>
                     <td width="20%">Require Unique EMail Address</td>
                     <?php 
                        echo("<td width=\"80%\"><select name=\"uniqueEMail\">");
                        echo("<option value=\"TRUE\"");
                        if (_REQUIRE_UNIQUE_EMAIL == TRUE)
                           echo(" selected");
                        echo(">Yes");
                        echo("<option value=\"FALSE\"");
                        if (_REQUIRE_UNIQUE_EMAIL == FALSE)
                           echo(" selected");
                        echo(">No");
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
                  <tr>
                     <td width="20%">New Member Level</td>
                     <?php 
                        echo("<td width=\"80%\"><select name=\"memberLevel\">");
                        echo("<option value=\"0\"");
                        if (_NEW_MEMBER_LEVEL == 0)
                           echo(" selected");
                        echo(">Guest");
                        echo("<option value=\"1\"");
                        if (_NEW_MEMBER_LEVEL == 1)
                           echo(" selected");
                        echo(">Member");
                        echo("<option value=\"2\"");
                        if (_NEW_MEMBER_LEVEL == 2)
                           echo(" selected");
                        echo(">Admin");
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
                  <tr>
                     <td width="20%">New Member Status</td>
                     <?php 
                        echo("<td width=\"80%\"><select name=\"memberStatus\">");
                        echo("<option value=\"0\"");
                        if (_NEW_MEMBER_STATUS == 0)
                           echo(" selected");
                        echo(">Unapproved");
                        echo("<option value=\"1\"");
                        if (_NEW_MEMBER_STATUS == 1)
                           echo(" selected");
                        echo(">Active");
                        echo("<option value=\"2\"");
                        if (_NEW_MEMBER_STATUS == 2)
                           echo(" selected");
                        echo(">Suspended");
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
                  <tr>
                     <td width="20%">New Member Group</td>
                     <?php
                        $groupList[] = new CGroup;
                        xforum_getGroupList($link, $groupList);
                        $numGroups = count($groupList);
                        echo("<td width=\"80%\"><select name=\"memberGroup\">");
                        for ($indx = 1; $indx < $numGroups; $indx++) {
                           echo("<option value=\"" . $groupList[$indx]->groupID . "\"");
                           if ($groupList[$indx]->groupID == _NEW_MEMBER_GROUPID) {
                              echo(" selected");
                           }
                           echo(">" . $groupList[$indx]->groupName);
                        }
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
               </table>
               </td></tr>
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <table border="0" width="100%">
                  <tr>
                     <td colspan="2"><b>Posting</b></td>
                  </tr>
                  <tr>
                     <td width="20%">New Thread Status</td>
                     <?php 
                        echo("<td width=\"80%\"><select name=\"threadStatus\">");
                        echo("<option value=\"0\"");
                        if (_NEW_THREAD_STATUS == 0)
                           echo(" selected");
                        echo(">Unapproved");
                        echo("<option value=\"1\"");
                        if (_NEW_THREAD_STATUS == 1)
                           echo(" selected");
                        echo(">Approved");
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
                  <tr>
                     <td width="20%">New Post Status</td>
                     <?php 
                        echo("<td width=\"80%\"><select name=\"postStatus\">");
                        echo("<option value=\"0\"");
                        if (_NEW_POST_STATUS == 0)
                           echo(" selected");
                        echo(">Unapproved");
                        echo("<option value=\"1\"");
                        if (_NEW_POST_STATUS == 1)
                           echo(" selected");
                        echo(">Approved");
                        echo("</select>");
                        echo("</td>");
                     ?>
                  </tr>
               </table>
               </td></tr>
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <table border="0" width="100%">
                  <tr>
                     <td colspan="2"><b>Style</b></td>
                  </tr>
                  <tr>
                     <td width="20%">Forum Name</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"forumName\" size=\"60\" value=\"" . _XFORUM_NAME . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Message Icons Per Row</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"iconsPerRow\" size=\"60\" value=\"" . _ICONS_PER_ROW . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Board Image</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"boardImage\" size=\"60\" value=\"" . _IMAGE_BOARD . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Board Image w/New Posts</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"boardImageNew\" size=\"60\" value=\"" . _IMAGE_BOARD_NEW . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Category Image</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"categoryImage\" size=\"60\" value=\"" . _IMAGE_CATEGORY . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Category Image w/New Posts</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"categoryImageNew\" size=\"60\" value=\"" . _IMAGE_CATEGORY_NEW . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Thread Image</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"threadImage\" size=\"60\" value=\"" . _IMAGE_THREAD . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Thread Image w/New Posts</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"threadImageNew\" size=\"60\" value=\"" . _IMAGE_THREAD_NEW . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Background Color</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"backColor\" size=\"60\" value=\"" . _BOARD_BACKGROUND_COLOR . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Text Color</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"textColor\" size=\"60\" value=\"" . _BOARD_TEXT_COLOR . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Text Font Face</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"fontFace\" size=\"60\" value=\"" . _BOARD_FONT_FACE . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Link Color</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"linkColor\" size=\"60\" value=\"" . _BOARD_LINK_COLOR . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Table Border Color</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"borderColor\" size=\"60\" value=\"" . _TABLE_BORDER_COLOR . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Table Title Background Color</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"titleColor\" size=\"60\" value=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Table Body Background Color</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"bodyColor\" size=\"60\" value=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\"></td>"); ?>
                  </tr>
               </table>
               </td></tr>
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <table border="0" width="100%">
                  <tr>
                     <td colspan="2"><b>Misc</b></td>
                  </tr>
                  <tr>
                     <td width="20%">Administrator EMail</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"adminEMail\" size=\"60\" value=\"" . _XFORUM_ADMIN_EMAIL . "\"></td>"); ?>
                  </tr>
                  <tr>
                     <td width="20%">Logout URL</td>
                     <?php echo("<td width=\"80%\"><input type=\"text\" name=\"logoutURL\" size=\"60\" value=\"" . _XFORUM_LOGOUT_URL . "\"></td>"); ?>
                  </tr>
               </table>
               </td></td>
               <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
               <td>
               <table border="0" width="100%">
                  <tr>   
                     <td width="100%"><center><input type="submit" name="submit" value="Update Configuration"></center></td>
                  </tr>
               </table>
               </td></tr>
               </font>
               </td></tr></table>
            </td></tr>
            </table>
            </td>
         </form>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>
