<?php
   // CVS Information
   //
   // $Id: ManageBoards.php,v 1.3 2000/06/25 18:20:30 keird Exp $
   // 
   // $Log: ManageBoards.php,v $
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageBoards.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }
?>

<html>
<head>
<title>
<?php echo(_XFORUM_NAME . " Control-Panel"); ?>
</title>
</head>

<body>

<table border="1" width="100%">
   <tr>
      <?php echo("<th><center><br><big><big>" . _XFORUM_NAME . " Control-Panel</big></big><br><br></th>"); ?>
   </tr>
   <tr>
      <td><table border="1" width="100%" cellpadding="10">
         <tr>
            <td width="15%" valign="top"><?php echo(xforum_getControlPanelMenu()); ?></td>
            <td width="85%" valign="top">
               <big><big><strong>Boards</strong></big></big><br>
               <br>
               <table border="1">
                  <tr>
                     <th>Board Name</th>
                     <th>Description</th>
                     <th></th>
                     <th></th>
                  </tr>
                  <?php
                     $boardList[] = new CBoard;
                     xforum_getBoardList($link, $boardList);
                     $num_elements = count($boardList);
                     for($indx = 1; $indx < $num_elements; $indx++){
                        echo("<tr>");
                        echo("<td>" . $boardList[$indx]->boardName . "</td>");
                        echo("<td>" . $boardList[$indx]->boardDesc . "</td>");
                        echo("<td><a href=\"EditBoard.php?boardID=" . $boardList[$indx]->boardID . "\">Edit</a></td>");
                        echo("<td><a href=\"DeleteBoard.php?boardID=" . $boardList[$indx]->boardID . "\">Delete</a></td>");
                        echo("</tr>");
                     }
                  ?>
               </table>
               <br>
               <a href="NewBoard.php?destURL=ManageBoards.php">New Board</a>
            </td>
         </tr>
      </table></td>
   </tr>
</table>

</body>
</html>