<?php
   // CVS Information
   //
   // $Id: SaveNewReply.php,v 1.10 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: SaveNewReply.php,v $
   // Revision 1.10  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.9  2000/08/10 22:51:31  keird
   // Fixed bug in which a modified message became owned by the admin modifying
   // it.
   //
   // Revision 1.8  2000/08/09 01:24:21  keird
   // Fixed problem of duplicate email notifications when a user had more than
   // one reply selected to be notified.  Also does not send notification to the
   // user who posted.
   //
   // Revision 1.7  2000/08/09 01:16:31  keird
   // Added ability for those posting replies to a thread to have email
   // notification whenever new replies are posted.
   //
   // Revision 1.6  2000/08/09 00:50:25  keird
   // Changed sort order for threads to be by descending post date.
   // Added ability for thread owner to be notified by email when someone
   // replies to the thread.
   //
   // Revision 1.5  2000/07/07 23:29:53  keird
   // Fixed problem with people entering blank subjects and/or bodies for
   // threads and posts.
   //
   // Revision 1.4  2000/07/01 20:29:36  keird
   // Added CloseThread functionality.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Boards.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   $thread_object = xforum_getThreadByID($link, $categoryID, $threadID);
   
   if ($thread_object->open <= 0 && isset($replyID) == FALSE) {
      echo("This thread is closed");
      exit;
   }

   if (trim($body) == "") {
      echo("You must provide a message body.");
      exit;
   }

   if (isset($replyID)) {
      $post_object = xforum_getPostByID($link, $categoryID, $replyID);
      $SQLQuery = "UPDATE RE_Category_" . $categoryID;
      $SQLQuery .= " SET Body=\"" . $body . "\",";
      $SQLQuery .= " Icon=\"" . $icon . "\",";
      if ($notify == "ON") {
         $SQLQuery .= " UserID=\"" . (abs($post_object->userID) * -1) . "\"";
      } else {
         $SQLQuery .= " UserID=\"" . abs($post_object->userID) . "\"";
      }
      $SQLQuery .= " WHERE ReplyID=" . $replyID;
   }  else {
      $SQLQuery = "INSERT INTO RE_Category_" . $categoryID . "(ThreadID, UserID, Body, Posted, Icon, Approved)";
      $SQLQuery .= " VALUES(\"" . $threadID . "\",";
      if ($notify == "ON") {
         $SQLQuery .= ($userID * -1);
      } else {
         $SQLQuery .= $userID;
      }   
      $SQLQuery .= ",\"" . $body . "\n\n" . $user_object->signature . "\",\"" . date("Y-m-d H:i:s") . "\",\"";
      $SQLQuery .= $icon . "\"," . _NEW_POST_STATUS . ")";
      xforum_notifyAboutNewPost($link, $categoryID, $threadID, $userID);
   }

   $result = mysql_query($SQLQuery);
   if ($result == 0) {
      echo ("ERROR: " . mysql_error($link));
      echo $SQLQuery;
   }else{
      $SQLQuery = "UPDATE Users ";
      $SQLQuery .= " SET LastPost=\"" . date("Y-m-d H:i:s") . "\"";
      $SQLQuery .= " WHERE UserID=" . $userID;
      $result = mysql_query($SQLQuery);
      if ($result == 0) {
         echo ("ERROR: " . mysql_error($link));
         echo $SQLQuery;
      }else{
         header("Location: ViewThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID);
         exit;
      }
   }
?>
