<?php
   // CVS Information
   //
   // $Id: SaveNewThread.php,v 1.8 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: SaveNewThread.php,v $
   // Revision 1.8  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.7  2000/08/10 22:51:31  keird
   // Fixed bug in which a modified message became owned by the admin modifying
   // it.
   //
   // Revision 1.6  2000/08/09 00:50:25  keird
   // Changed sort order for threads to be by descending post date.
   // Added ability for thread owner to be notified by email when someone
   // replies to the thread.
   //
   // Revision 1.5  2000/07/07 23:29:53  keird
   // Fixed problem with people entering blank subjects and/or bodies for
   // threads and posts.
   //
   // Revision 1.4  2000/07/04 01:11:57  keird
   // Last commit before release 0.5.0.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Boards.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }
   
   $user_object = xforum_getUserByID($link, $userID);

   if ($user_object->userLevel == 0 || $user_object->status != 1) {
      echo("Sorry, you are not authorized to create a thread.");
      exit;
   }

   if (trim($subject) == "") {
      echo("You must provide a subject.");
      exit;
   }

   if (trim($body) == "") {
      echo("You must provide a message body.");
      exit;
   }

   if (isset($threadID)) {
      $thread_object = xforum_getThreadByID($link, $categoryID, $threadID);
      $SQLQuery = "UPDATE Category_" . $categoryID;
      $SQLQuery .= " SET Subject=\"" . $subject . "\",";
      $SQLQuery .= " Body=\"" . $body . "\",";
      $SQLQuery .= " Icon=\"" . $icon . "\",";
      if ($notify == "ON") {
         $SQLQuery .= " UserID=\"" . (abs($thread_object->userID) * -1) . "\"";
      } else {
         $SQLQuery .= " UserID=\"" . abs($thread_object->userID) . "\"";
      }
      $SQLQuery .= " WHERE ThreadID=" . $threadID;
   }  else {
      $SQLQuery = "INSERT INTO Category_" . $categoryID . "(Subject, UserID, Body, Posted, Approved, Open, Icon)";
      $SQLQuery .= " VALUES(\"" . $subject . "\",";
      if ($notify == "ON") {
         $SQLQuery .= ($userID * -1);
      } else {
         $SQLQuery .= $userID;
      }
      $SQLQuery .= ",\"" . $body . "\n\n" . $user_object->signature . "\",\"";
      $SQLQuery .= date("Y-m-d H:i:s") . "\", " . _NEW_THREAD_STATUS . ", 1,\"" . $icon . "\")";
   }
   
   $result = mysql_query($SQLQuery);
   if ($result == 0) {
      echo ("ERROR: " . mysql_error($link));
      echo $SQLQuery;
   }else{
      $SQLQuery = "UPDATE Users ";
      $SQLQuery .= " SET LastPost=\"" . date("Y-m-d H:i:s") . "\"";
      $SQLQuery .= " WHERE UserID=" . $userID;
      $result = mysql_query($SQLQuery);
      if ($result == 0) {
         echo ("ERROR: " . mysql_error($link));
         echo $SQLQuery;
      }else{
         if (isset($threadID))
            header("Location: ViewThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $threadID);
         else
            header("Location: Threads.php?boardID=" . $boardID . "&categoryID=" . $categoryID);
         exit;
      }
   }
?>
