<?php
   // CVS Information
   //
   // $Id: SaveNewUser.php,v 1.4 2000/07/08 13:10:58 keird Exp $
   // 
   // $Log: SaveNewUser.php,v $
   // Revision 1.4  2000/07/08 13:10:58  keird
   // Make check to ensure that usernames and nicknames are unique.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   //Ensure Required Fields Are Filled In
   if ($username == "") {
      echo("<html>Username is a required field.  Please use your browser's 'back' button and fill it in.</html>");
      exit;
   }

   if ($nickname == "") {
      echo("<html>Nickname is a required field.  Please use your browser's 'back' button and fill it in.</html>");
      exit;
   }

   if ($email == "") {
      echo("<html>EMail is a required field.  Please use your browser's 'back' button and fill it in.</html>");
      exit;
   }

   if (_REQUIRE_EMAIL_PASSWORD == FALSE) {
      if ($password == "") {
         echo("<html>You must supply a password.  Please use your browser's 'back' button and fill it in.</html>");
         exit;
      }
      if ($confirm == "") {
         echo("<html>You must confirm your password.  Please use your browser's 'back' button and fill it in.</html>");
         exit;
      }
      if ($password != $confirm) {
         echo("<html>Your password and confirmed password do not match.  Please use your browser's 'back' button and re-enter them.</html>");
         exit;
      }
   }else
      $password = xforum_generatePassword();

   if (_REQUIRE_UNIQUE_EMAIL == TRUE) {
      if (xforum_emailExists($link, $email) == TRUE) {
         echo("<html>A user already exists with that email address.  You must contact the board administrator if you feel this is an error.</html>");
         exit;
      }
   }

   if (xforum_usernameExists($link, $username) == TRUE) {
      echo("<html>A user already exists with that username.  You must contact the board administrator if you feel this is an error.</html>");
      exit;
   }

   if (xforum_nicknameExists($link, $nickname) == TRUE) {
      echo("<html>A user already exists with that nickname.  You must contact the board administrator if you feel this is an error.</html>");
      exit;
   }

   $SQLQuery = "INSERT INTO Users(Username, Password, Nickname, EMail, RegisterDate, UserLevel, GroupID, Status,";
   $SQLQuery .= " Homepage, Location, Occupation, Interests, ICQNumber, Age, Comments, Signature, NewLastLogin, LastLogin)";
   $SQLQuery .= " VALUES (\"" . $username . "\", \"" . md5($password) . "\", \"" . $nickname . "\", \"" . $email . "\",";
   $SQLQuery .= " \"" . date("Y-m-d H:i:s") . "\", " . _NEW_MEMBER_LEVEL . ", " . _NEW_MEMBER_GROUPID . ", ";
   $SQLQuery .= _NEW_MEMBER_STATUS . ", \"" . $homepage . "\", \"" . $location . "\", \"" . $occupation . "\", ";
   $SQLQuery .= " \"" . $interests . "\", \"" . $icqNumber . "\", " . intval($age) . ", \"" . $comments . "\", \"" . $signature . "\",";
   $SQLQuery .= " \"" . date("Y-m-d H:i:s") . "\", \"1900-01-01 12:00:00\")";
   $result = mysql_query($SQLQuery);
   if ($result == 0) {
      echo ("ERROR: " . mysql_error($link));
      echo $SQLQuery;
      exit;
   }
   if (_REQUIRE_EMAIL_PASSWORD == FALSE){
      header("Location: Login.php?target=Boards.php");
      exit;
   }else {
      $sendString = "Thank you for registering with " . _XFORUM_NAME . ".\n";
      $sendString .= "Below you will find your username and password.\n";
      $sendString .= "These will give you access to the bulletin boards.\n";
      if (_NEW_MEMBER_LEVEL == 0) {
         $sendString .= "You currently have a Guest access level.  This means\n";
         $sendString .= "that, while you can view the boards, categories,\n";
         $sendString .= "threads, and replies, you cannot post.  Once the\n";
         $sendString .= "board administrator reviews your account, you may\n";
         $sendString .= "receive more access.\n";
      }
      $sendString .= "\n\n";
      $sendString .= "Username: " . $username . "\n";
      $sendString .= "Password: " . $password . "\n";
      mail($email, _XFORUM_NAME . " Registration", $sendString, "From: " . _XFORUM_ADMIN_EMAIL);
   }
?>
<html>
<head>
<title>Welcome New User!</title>
</head>
<?php echo("<body bgcolor=\"" . _BOARD_BACKGROUND_COLOR . "\" text=\"" . _BOARD_TEXT_COLOR . "\" link=\"" . _BOARD_LINK_COLOR . "\" vlink=\"" . _BOARD_LINK_COLOR . "\" alink=\"" . _BOARD_LINK_COLOR . "\" leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\">"); ?>
<?php echo("<font face=\"" . _BOARD_FONT_FACE . "\">"); ?>
<font size="4">
<center>
Thank you for registering!  You will receive a system-generated password by email shortly.
</center>
</font>
</font>
</body>
</html>
