<?php
   // CVS Information
   //
   // $Id: SendNewPassword.php,v 1.1 2000/08/18 22:51:35 keird Exp $
   // 
   // $Log: SendNewPassword.php,v $
   // Revision 1.1  2000/08/18 22:51:35  keird
   // Added ability to generate a new password and email it to user who has
   // forgotten their password.
   //
   //

   require("Common.php");
   $link = xforum_connectToDatabase();
   
   $userID = xforum_validateUserByEMail($link, $username, $email);
   if ($userID > 0) {
      $newPassword = xforum_generatePassword();
      $sendString = "This email was sent because (hopefully) you informed " . _XFORUM_NAME . "\n";
      $sendString .= "that you had forgotten your password.  Due to security reasons,\n";
      $sendString .= "your original password could not be retrieved.  Below you will\n";
      $sendString .= "find a newly generated password that you can use to gain access\n";
      $sendString .= "to the forum.  Once you have successfully logged in, you may\n";
      $sendString .= "change your password to something more memorable.\n\n";
      $sendString .= "     New Password: " . $newPassword;
      if (mail($email, "New Password", $sendString, "From: " . _XFORUM_ADMIN_EMAIL)) {
         $state = 0;
         xforum_updateUserPassword($link, $userID, $newPassword);
      } else {
         $state = 1;
      }
   } else {
      $state = 2;
   }
?>
<html>
<head>
<title>
<?php echo("Retrieve Password"); ?>
</title>
</head>

<?php
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader(0, "");
?>
<br>
<center><h2>
<?php
   switch ($state) {
   case 0:  echo("Your new password has been emailed!");
            break;
   case 1:  echo("An error occured emailing a new password.  Your password has not been changed.");
            break;
   case 2:  echo("You have provided an invalid username/email combination.");
            break;
   }
?>
</font>
</body>
</html>
