<?php
   // CVS Information
   //
   // $Id: Threads.php,v 1.7 2000/08/09 00:50:25 keird Exp $
   // 
   // $Log: Threads.php,v $
   // Revision 1.7  2000/08/09 00:50:25  keird
   // Changed sort order for threads to be by descending post date.
   // Added ability for thread owner to be notified by email when someone
   // replies to the thread.
   //
   // Revision 1.6  2000/07/10 02:29:22  keird
   // Moved printing of X-Forum header, user menu, lastlogin, and icon legend to
   // Common.php.
   //
   // Revision 1.5  2000/07/01 20:43:15  keird
   // Fixed bug in Threads.php that called CloseBoard.php without the boardID.
   //
   // Revision 1.4  2000/07/01 20:29:36  keird
   // Added CloseThread functionality.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Threads.php?boardID=" . $boardID . "%26categoryID=" . $categoryID;

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);

   if (!$userID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   $category_object = xforum_getCategoryByID($link, $categoryID);
   $board_object = xforum_getBoardByID($link, $boardID);
?>

<html>
<head>
<title>
<?php
   echo("Threads For " . $category_object->categoryName);
?>
</title>
</head>

<?php 
   xforum_setBodyAttributes();
   xforum_setFontAttributes();
   xforum_displayHeader($user_object->userID, $destURL);
?>
<br>
<font size="4"><b>
<?php echo("<a href=\"Boards.php\">Index</a>/<a href=\"Categories.php?boardID=" . $board_object->boardID . "\">" . $board_object->boardName . "</a>/" . $category_object->categoryName); ?>
</b></font>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="3%"><img src="blank.gif"></td>
            <td width="3%"><img src="blank.gif"></td>
            <td width="37%"><font size="2">Thread</forum></td>
            <td width="7%"><font size="2">Posts</forum></td>
            <td width="15%"><font size="2">Last Post</forum></td>
            <td width="10%"><font size="2">Started By</forum></td>
            <td width="15%"><font size="2">Start Date</forum></td>
            <td width="10%"><font size="2">Status</forum></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_TITLE_BACKGROUND_COLOR . "\"><td colspan=\"7\"><font size=\"4\">" . $category_object->categoryName . "</font></td>"); ?>
         <?php echo("<td align=\"center\"><a href=\"CreateThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/post.png\"></a></td></tr>"); ?>
         <?php
            $thread_object[] = new CThread;
            xforum_getThreadList($link, $category_object->categoryID, $thread_object, "1", "Posted DESC");
            $num_elements = count($thread_object);
            for ($indx = 1; $indx < $num_elements; $indx++) {
               $lastPost = xforum_getLastPostDateByThread($link, $category_object->categoryID, $thread_object[$indx]->threadID);
               echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">");
               if ($lastPost > $user_object->lastLogin)
                  echo("<td><img src=\"" . _IMAGE_THREAD_NEW . "\"></td>");
               else
                  echo("<td><img src=\"" . _IMAGE_THREAD . "\"></td>");
               if ($thread_object[$indx]->icon == "")
                  echo("<td><img src=\"blank.gif\"></td>");
               else
                  echo("<td><img width=\"16\" height=\"16\" src=\"" . _DIR_ICONS . "/" . $thread_object[$indx]->icon . "\"></td>");
               echo("<td><font size=\"2\">");
               echo("<a href=\"ViewThread.php?boardID=" . $boardID . "&categoryID=" . $category_object->categoryID . "&threadID=" . $thread_object[$indx]->threadID . "\">" . $thread_object[$indx]->subject . "</a></td>");
               echo("</font></td>");
               echo("<td><font size=\"2\">" . xforum_getNumPostsByThread($link, $category_object->categoryID, $thread_object[$indx]->threadID, "1") . "</font></td>");
               if ($lastPost == "")
                  $lastPost = "N/A";
               echo("<td><font size=\"2\">" . $lastPost  . "</font></td>");
               $moderator_object = xforum_getUserByID($link, $thread_object[$indx]->userID);
               echo("<td><font size=\"2\"><a href=\"MailTo: " . $moderator_object->email . "\">" . $moderator_object->nickname . "</a></font></td>");
               echo("<td><font size=\"2\">" . $thread_object[$indx]->posted . "</font></td>");
               if ($thread_object[$indx]->open) {
                  echo("<td><font size=\"2\">Open</font>");
                  if ($user_object->userLevel == 2 || $user_object->userID == $category_object->moderatorID) {
                     echo("<font size=\"2\">(<a href=\"CloseThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $thread_object[$indx]->threadID . "&state=0\">Close</a>)</font>");
                  }
                  echo("</td>");
               }else {
                  echo("<td><font size=\"2\">Closed</font>");
                  if ($user_object->userLevel == 2 || $user_object->userID == $category_object->moderatorID) {
                     echo("<font size=\"2\">(<a href=\"CloseThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "&threadID=" . $thread_object[$indx]->threadID . "&state=1\">Open</a>)</font>");
                  }
                  echo("</td>");
               }
               echo("</tr>");
            }
            xforum_displayLastLogin($user_object->lastLogin, 7, FALSE);
            echo("<td align=\"center\"><a href=\"CreateThread.php?boardID=" . $boardID . "&categoryID=" . $categoryID . "\"><img border=\"0\" src=\"" . _DIR_BUTTONS . "/post.png\"></a></td></tr>");
            xforum_displayIconLegend(8);
         ?>
      </table>
   </td></tr>
</table>
<br>
</font>
</body>
</html>

