<?php
   // CVS Information
   //
   // $Id: UpdateProfile.php,v 1.5 2001/01/01 16:40:10 keird Exp $
   // 
   // $Log: UpdateProfile.php,v $
   // Revision 1.5  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.4  2000/07/08 13:10:58  keird
   // Make check to ensure that usernames and nicknames are unique.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "Boards.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $valUserID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$valUserID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   if ($valUserID != $userID) {
      echo("Denied.  You cannot change another user's profile.");
      exit;
   }

   $user_object = new CUser;
   $user_object = xforum_getUserByID($link, $userID);
   
   if ($user_object->nickname != $nickname) {
      if (xforum_nicknameExists($link, $nickname) == TRUE) {
         echo("<html>A user already exists with that nickname.  You must contact the board administrator if you feel this is an error.</html>");
         exit;
      }
   }
   
   if ($password != "") {
      if ($password != $confirm) {
         echo("Password and confirmation do not match.  Use your browser's back button and try again.");
         exit;
      }
      xforum_updateUserPassword($link, $userID, $password);
      setcookie("cookie_username", $user_object->username);
      setcookie("cookie_password", $password);
   }

   $user_object->nickname = $nickname;
   $user_object->email = $email;
   $user_object->homepage = $homepage;
   $user_object->location = $location;
   $user_object->occupation = $occupation;
   $user_object->interests = $interests;
   $user_object->icqNumber = $icqNumber;
   if ($age == "")
      $user_object->age = 0;
   else
      $user_object->age = $age;
   $user_object->comments = $comments;
   $user_object->signature = $signature;
   xforum_updateUser($link, $user_object);
   header("Location: " . $destURL);
?>
