<?php
   // CVS Information
   //
   // $Id: UpdateUser.php,v 1.5 2001/01/06 21:50:16 keird Exp $
   // 
   // $Log: UpdateUser.php,v $
   // Revision 1.5  2001/01/06 21:50:16  keird
   // Fixed bug in UpdateBoardCats.php where Common.php was included twice.
   // Fixed bug in UpdateUser.php where it was not referencing the correct form
   // field names for newPassword and confirmPassword.
   //
   // Revision 1.4  2001/01/01 16:40:10  keird
   // Added extra security by checking for login for everything.
   // Direct URL manipulation should no longer work to gain admin access.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   //Make database connection
   require("Common.php");
   $link = xforum_connectToDatabase();

   $destURL = "ManageUsers.php";

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $valUserID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$valUserID) {
      header("Location: Login.php?destURL=" . $destURL);
      exit;
   }

   $user_object = xforum_getUserByID($link, $valUserID);
   if ($user_object->userLevel != 2) {
      header("Location: Login.php?userMessage=denied&destURL=" . $destURL);
      exit;
   }

   $user_object = new CUser;
   $user_object = xforum_getUserByID($link, $userID);
   if ($newPassword != "") {
      if ($newPassword != $confirmPassword) {
         echo("Password and confirmation do not match.  Use your browser's back button and try again.");
         exit;
      }
      xforum_updateUserPassword($link, $userID, $newPassword);
   }
   $user_object->username = $username;
   $user_object->nickname = $nickname;
   $user_object->email = $email;
   $user_object->status = $status;
   $user_object->userLevel = $userLevel;
   $user_object->groupID = $groupID;
   $user_object->homepage = $homepage;
   $user_object->location = $location;
   $user_object->occupation = $occupation;
   $user_object->interests = $interests;
   $user_object->icqNumber = $icqNumber;
   if ($age == "")
      $user_object->age = 0;
   else
      $user_object->age = $age;
   $user_object->comments = $comments;
   $user_object->signature = $signature;
   xforum_updateUser($link, $user_object);
   header("Location: " . $destURL);
?>
