<?php
   // CVS Information
   //
   // $Id: ViewProfile.php,v 1.4 2000/07/01 17:04:14 keird Exp $
   // 
   // $Log: ViewProfile.php,v $
   // Revision 1.4  2000/07/01 17:04:14  keird
   // Fixed various bugs.
   // Added headers to login and view profile pages.
   // Started making install pages and added install directory.
   //
   // Revision 1.3  2000/06/25 18:20:30  keird
   // Fixed problem with CVS vars in header.
   // Force Thread icons to be 16x16 in Threads.php
   //
   // Revision 1.2  2000/06/25 15:17:30  keird
   // Added CVS var info.
   //

   require("Common.php");
   $link = xforum_connectToDatabase();

   if (empty($cookie_username) || empty($cookie_password)) {
      header("Location: Login.php?destURL=Boards.php");
      exit;
   }

   $userID = xforum_validateUser($link, $cookie_username, $cookie_password);
   if (!$userID) {
      header("Location: Login.php?destURL=Boards.php");
      exit;
   }

   $user_object = xforum_getUserByID($link, $userID);
   $view_object = xforum_getUserByID($link, $viewID);
?>

<html>
<head>
<title>
<?php echo("View Profile For " . $view_object->nickname); ?>
</title>
</head>

<?php echo("<body bgcolor=\"" . _BOARD_BACKGROUND_COLOR . "\" text=\"" . _BOARD_TEXT_COLOR . "\" link=\"" . _BOARD_LINK_COLOR . "\" vlink=\"" . _BOARD_LINK_COLOR . "\" alink=\"" . _BOARD_LINK_COLOR . "\" leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\">"); ?>
<?php echo("<font face=\"" . _BOARD_FONT_FACE . "\">"); ?>
<?php echo("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">   
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td width="100%"><font size="2">X-Forum Bulletin Board System</font><br><font size="1">Copyright 2000 by Keir Davis</font><br><br></td>
         </tr>
      </table>
   </td></td>
</table>
<br>
<br>
<?php echo("<center><h2>View Profile For " . $view_object->nickname . "</h2></center>"); ?>
<center>
<?php echo("<table width=\"60%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"" . _TABLE_BORDER_COLOR . "\">"); ?>
   <tr><td>
      <table width="100%" border="0" cellspacing="1" cellpadding="4">
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Nickname</td>
            <td><?php echo($view_object->nickname); ?></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>EMail</td>
            <td><?php echo("<a href=\"mailto: " . $view_object->email . "\">" . $view_object->email . "</a>"); ?></td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Homepage</td>
            <td>
            <?php 
               if ($view_object->homepage == "")
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
                  echo("<a href=\"" . $view_object->homepage . "\">" . $view_object->homepage . "</a>");
            ?>
            </td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Location</td>
            <td>
            <?php 
               if ($view_object->location == "")
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
               echo($view_object->location);
            ?>
            </td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Occupation</td>
            <td>
            <?php 
               if ($view_object->occupation == "")
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
                  echo($view_object->occupation);
            ?>
            </td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Interests</td>
            <td>
            <?php
               if ($view_object->interests == "")
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
                  echo($view_object->interests);
            ?>
            </td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>ICQ Number</td>
            <td>
            <?php 
               if ($view_object->icqNumber == "")
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
                  echo($view_object->icqNumber);
            ?>
            </td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Age</td>
            <td>
            <?php
               if ($view_object->age <= 0)
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
                  echo($view_object->age);
            ?>
            </td>
         </tr>
         <?php echo("<tr bgcolor=\"" . _TABLE_BODY_BACKGROUND_COLOR . "\">"); ?>
            <td>Comments</td>
            <td>
            <?php 
               if ($view_object->comments == "")
                  echo("<img border=\"0\" src=\"blank.gif\"</a>");
               else
                  echo(nl2br($view_object->comments));
            ?>
            </td>
         </tr>
      </table>
</table>
</center>
</font>
</body>
</html>
